--------------------------------------------------------
-- Archivo creado  - domingo-enero-13-2013   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Sequence SEQ_APLICACIONS
--------------------------------------------------------

   CREATE SEQUENCE  "USER1"."SEQ_APLICACIONS"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_DESCARREGA
--------------------------------------------------------

   CREATE SEQUENCE  "USER1"."SEQ_DESCARREGA"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_DVR
--------------------------------------------------------

   CREATE SEQUENCE  "USER1"."SEQ_DVR"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_RESOLUCIONS
--------------------------------------------------------

   CREATE SEQUENCE  "USER1"."SEQ_RESOLUCIONS"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_USUARIS
--------------------------------------------------------

   CREATE SEQUENCE  "USER1"."SEQ_USUARIS"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Table APLICACIONS
--------------------------------------------------------

  CREATE TABLE "USER1"."APLICACIONS" 
   (	"ID_APLICACIO" NUMBER(8,0), 
	"NOM" VARCHAR2(200 BYTE), 
	"VERSIO" VARCHAR2(15 BYTE), 
	"DATAALTA" TIMESTAMP (6) DEFAULT systimestamp, 
	"ENLLABIN" VARCHAR2(255 BYTE), 
	"URL" VARCHAR2(255 BYTE), 
	"ID_RESOLUCIO_MINIMA" NUMBER(3,0), 
	"ACTIVA" CHAR(1 BYTE), 
	"DATAULTMOD" TIMESTAMP (6), 
	"DATABAIXA" TIMESTAMP (6), 
	"NUMDESC" NUMBER(11,0) DEFAULT 0, 
	"ULTDESC" TIMESTAMP (6), 
	"IMPORTTOTAL" NUMBER(11,2) DEFAULT 0
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."APLICACIONS"."ID_APLICACIO" IS 'Aquest camp identifica unvocament una aplicaci. s de tipus number i 8 dgits,nla qual cosa indica que podem emmagatzemar fins a 99.999.999 aplicacions. Creiem que es suficient.';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."VERSIO" IS 'Aquest camp identifica l`ultima versi de l`aplicaci. t una longitud variable,nmxima de 15 dgits i alfanumrica. Creiem que sufcient per emmagatzemar la informacin relativa a la versi de qualsevol aplicaci.';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."DATAALTA" IS 'Mostra la data que es va donar d`alta l`aplicacio en el sistema. Com totes les dates de la nostra base de dades es de tipus timestamp.';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."ENLLABIN" IS 'Aquest camp guarda la informaci sobre l`enlla binari de l`aplicaci. La llargada del camp es variable i npot arribar al mxim que permet aquest tipus de dades de 255 dgits.nHa de ser suficient per guardar un enlla.';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."URL" IS 'Aquest camp guarda la informaci URL del vdeo demostraci de l`aplicacio.La llargada del camp s variable i npot arribar al mxim que permet aquest tipus de dades de 255 dgits. Ha de ser suficient per guardar un enlla.Pot ser null degut a que s un camp opcional.	';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."ID_RESOLUCIO_MINIMA" IS 'Camp que indica quina es la resoluci mnima que ha de tenir el dispositiu que vulgui executar l`aplicaci. ns una clau fornia a la taula de resolucions i igual que el camp al qual fa referncia de la taula resolucions, ns de tipus numric de 3 digits.';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."ACTIVA" IS 'Camp que indica si una aplicaci s o no activa. Per tal que faci la funci de camp binari nhem escollit el tipus de dada "char(1)" i amb la restricci que els valors poden ser 0 o 1.n Veure constraint CK_ACTIVA.	';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."DATAULTMOD" IS 'Camp que indica quan s`ha realitzat la ultima modificacio en qualsevol camp de l`aplicacio. De la mateixa forma que totes les dates del sistema hem escollit tipus timestamp.';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."DATABAIXA" IS 'Camp tipus timestamp. Guarda la data quan l`aplicaci es dna de baixa del sistema. No borrem el registre sin que el donem de baixa mitjanant aquest camp.';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."NUMDESC" IS 'Columna on es guarda la informaci sobre el nombre de descrregues que s`ha realitzat d`aquesta aplicaci.';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."ULTDESC" IS 'Columna on es guarda la informaci referent a l`ltima descrrega realitzada d`aquesta aplicaci.';
   COMMENT ON COLUMN "USER1"."APLICACIONS"."IMPORTTOTAL" IS 'Columna que guarda la informaci de l`import total que l`aplicaci ha suposat en descrregues.';
   COMMENT ON TABLE "USER1"."APLICACIONS"  IS 'Taula on es guarda la informacio relativa a una aplicaci';
--------------------------------------------------------
--  DDL for Table APLIC_ANY_PAIS
--------------------------------------------------------

  CREATE TABLE "USER1"."APLIC_ANY_PAIS" 
   (	"CLAUAPLANYPAIS" VARCHAR2(50 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table APLIC_DVR
--------------------------------------------------------

  CREATE TABLE "USER1"."APLIC_DVR" 
   (	"ID_APLICACIO" NUMBER(8,0), 
	"ID_DVR" NUMBER(8,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."APLIC_DVR"."ID_APLICACIO" IS 'Camp tipus numric de 8 dgits que s clau forana a la taula APLICACIONS.  ';
   COMMENT ON COLUMN "USER1"."APLIC_DVR"."ID_DVR" IS 'Camp de tipus numric de 8 dgits que s clau forana a la taula DESENVOLUPADORS.';
   COMMENT ON TABLE "USER1"."APLIC_DVR"  IS 'taula que neix de la interrelaci M:N entre APLICACIONS i DESENVOLUPADORS. Una aplicaci pot tenir diferents desenvolupadors que la desenvolupin i un desenvolupador pot estar treballant en diferents aplicacions.';
--------------------------------------------------------
--  DDL for Table APLIC_IDIOMA
--------------------------------------------------------

  CREATE TABLE "USER1"."APLIC_IDIOMA" 
   (	"ID_APLICACIO" NUMBER(8,0), 
	"ID_IDIOMA" CHAR(3 BYTE), 
	"DESCRIPCIO_APLIC" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."APLIC_IDIOMA"."ID_APLICACIO" IS 'Camp de tipus numric i 8 dgits. Clau forana al camp ID_APLICACIO de la taula APLICACIONS. ';
   COMMENT ON COLUMN "USER1"."APLIC_IDIOMA"."ID_IDIOMA" IS 'Camp de tipus alfanumric i mida fixa de 3 dgits. Clau forana a la taula IDIOMES.';
   COMMENT ON COLUMN "USER1"."APLIC_IDIOMA"."DESCRIPCIO_APLIC" IS 'Camp alfanumric, variable i mida mxima 255 dgits. Cont la descripci en l`idioma corresponent.nNo null ja que ens interessa que no estigui buit.';
   COMMENT ON TABLE "USER1"."APLIC_IDIOMA"  IS 'Taula que neix de la interrelaci M:N entre les taules APLICACIONS i IDOMES. Una aplicaci pot llegir-se en diferents idiomes i un idioma pot servir per ms d`una aplicaci.';
--------------------------------------------------------
--  DDL for Table APLIC_SO
--------------------------------------------------------

  CREATE TABLE "USER1"."APLIC_SO" 
   (	"ID_APLICACIO" NUMBER(8,0), 
	"ID_SISTEMA" NUMBER(3,0), 
	"MIDA_APLIC_KB" NUMBER(11,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."APLIC_SO"."ID_APLICACIO" IS 'Camp numric de 8 dgits. Clau forana a ID_APLICACIO de la taula APLICACIONS.';
   COMMENT ON COLUMN "USER1"."APLIC_SO"."ID_SISTEMA" IS 'Camp numric de 3 dgits. Clau forana a ID_SISTEMA de la taula SISTEMES_OP.';
   COMMENT ON COLUMN "USER1"."APLIC_SO"."MIDA_APLIC_KB" IS 'Camp numric d`11 dgits. Guarda la informaci dels Kilobytes que ocupa una determinada aplicaci en un sistema operatiu. nAquest atribut s`ha situat en aquesta taula degut a que una aplicaci pot tenir una grandria diferent nen funci del sistema operatiu en el qual s`executar.';
   COMMENT ON TABLE "USER1"."APLIC_SO"  IS 'Taula que s`origina de la interrelaci M:N de les taules APLICACIONS i SISTEMES_OP. Una aplicaci pot utilitzar-se en diversos sistemes operatius, mentre que un sistema operatiu pot ser hoste de diferents aplicacions.';
--------------------------------------------------------
--  DDL for Table DADES_GENERALS
--------------------------------------------------------

  CREATE TABLE "USER1"."DADES_GENERALS" 
   (	"ID_DIVISA_BASE" CHAR(3 BYTE), 
	"BD_VERSIO" VARCHAR2(50 BYTE), 
	"BD_NOM" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."DADES_GENERALS"."ID_DIVISA_BASE" IS 'Igual que la ID_DIVISA. Guarda la informaci de la divisa base de la base de dades.';
   COMMENT ON COLUMN "USER1"."DADES_GENERALS"."BD_VERSIO" IS 'Camp variable de mida mxima 50 dgits. Guarda la informaci sobre la versi de la base de dades.';
   COMMENT ON COLUMN "USER1"."DADES_GENERALS"."BD_NOM" IS 'Camp variable de 100 dgits de mida mxima. Guarda la informaci del nom de la base de dades.';
   COMMENT ON TABLE "USER1"."DADES_GENERALS"  IS 'Taula on es guarda informaci de la base de dades en un sol registre. No necessita indexs ni claus primries.';
--------------------------------------------------------
--  DDL for Table DESCARREGUES
--------------------------------------------------------

  CREATE TABLE "USER1"."DESCARREGUES" 
   (	"ID_DESCARREGA" NUMBER(13,0), 
	"ID_USUARI" NUMBER(11,0), 
	"ID_APLICACIO" NUMBER(11,0), 
	"VERSIO" VARCHAR2(15 BYTE), 
	"DATADESCARREGA" TIMESTAMP (6) DEFAULT systimestamp, 
	"PREUPAGAT" NUMBER(11,2), 
	"ID_FP" CHAR(3 BYTE), 
	"IMEI" CHAR(15 BYTE), 
	"ID_OPERADOR" CHAR(3 BYTE), 
	"ID_PAIS" CHAR(2 BYTE), 
	"ID_DIVISA" CHAR(3 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."DESCARREGUES"."ID_DESCARREGA" IS 'Camp numric de 13 dgits. Identificador de la taula DESCARREGUES. Es autonumric amb l`ajuda de la seqncia SEQ_DESCARREGUES. Creiem que suficient per guardar totes les descrregues de la nostra aplicaci.';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."ID_USUARI" IS 'Camp numric de 11 dgits. Fa referncia a la clau primria de la taula USUARIS.';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."ID_APLICACIO" IS 'Camp numric de 11 dgits. Fa referncia a la clau primria de la taula APLICACIONS.';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."VERSIO" IS 'Camp de mida variable, 15 dgits que guarda la informaci de la versi de l`aplicaci en el moment de la descrrega.';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."DATADESCARREGA" IS 'Camp tipus timestamp. S`hi guarda el moment en qu es realitza la descrrega.	';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."PREUPAGAT" IS 'Camp numric amb 11 dgits i 2 decimals. Guarda la informaci relativa al preu de l`aplicaci.';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."ID_FP" IS 'Camp de mida fixa 3 dgits, alfanumric. Fa referncia a la clau primria de la taula FORMES_PAGAMENT. Identifica la forma de pagament utilitzada en la descrrega.';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."IMEI" IS 'Camp de mida fixa 15 dgits, alfanumric. Ens regim per la normalitzaci dels codis IMEI a l`hora de buscar l`espai necessari per poder guardar aquesta dada.';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."ID_OPERADOR" IS 'Camp de mida fixa, alfanumric de 3 dgits. Fa referncia a la clau primria de la taula OPERADORS. Informa sobre quin s l`operador de la descrrega.';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."ID_PAIS" IS 'Camp fixe, alfanumric de 2 dgits. Fa referncia a la clau primria de la taula PAISOS.';
   COMMENT ON COLUMN "USER1"."DESCARREGUES"."ID_DIVISA" IS 'Camp de mida fixa 3 dgits i alfanumric. Fa referncia a la clau primria de la taula DIVISES. Identifica la divisa amb qu s`ha realitzat la transacci econmica.';
   COMMENT ON TABLE "USER1"."DESCARREGUES"  IS 'Taula que guarda la informaci de descrrega d`aplicacions. La informaci que guardem sobre la versi de l`aplicaci s la que hi ha a la taula APLICACIONS en el moment de realitzar-se la descrrega. ';
--------------------------------------------------------
--  DDL for Table DESENVOLUPADORS
--------------------------------------------------------

  CREATE TABLE "USER1"."DESENVOLUPADORS" 
   (	"ID_DVR" NUMBER(8,0), 
	"NOM" VARCHAR2(200 BYTE), 
	"REPRESENTANT" VARCHAR2(200 BYTE), 
	"ID_PAIS" CHAR(2 BYTE), 
	"NUM_IDENTIFICADOR" VARCHAR2(16 BYTE), 
	"ADRE" VARCHAR2(255 BYTE), 
	"CP" CHAR(6 BYTE), 
	"POBLACIO" VARCHAR2(200 BYTE), 
	"PROVINCIA" VARCHAR2(200 BYTE), 
	"TELF" VARCHAR2(14 BYTE), 
	"MOBIL" VARCHAR2(14 BYTE), 
	"FAX" VARCHAR2(14 BYTE), 
	"EMAIL" VARCHAR2(100 BYTE), 
	"DATAALTA" TIMESTAMP (6) DEFAULT systimestamp, 
	"DATAULTMOD" TIMESTAMP (6), 
	"DATABAIXA" TIMESTAMP (6)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."ID_DVR" IS 'Camp que identifica el desenvolupador. s de tipus numric, hi ha una seqncia nque s`encarrega d`autonumerar aquest camp (veure SEQ_DESENVOLUPADORS). ns de 8 digits, amb la qual cosa permet fins a 99.999.999 de desenvolupadors.';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."NOM" IS 'Camp de mida variable i mxim de 200 dgits. Emmagatzema el nom delndesenvolupador.';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."REPRESENTANT" IS 'Camp alfanumric de mida variable i un mxim de 200 dgits. Serveix per emmagatzemar nel nom del rerpresentant d`un desenvolupador.';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."ID_PAIS" IS 'camp de tipus "char(2)", amb dos dgits. s clau forana a la taula pasos i fa nreferncia a l`identificador de pas segons l`estandard ISO 3166-1 alfa-2. ';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."NUM_IDENTIFICADOR" IS 'Aquest camp s variable, alfanumric i llargada mxima 14 dgits. Serveix pernemmagatzemar el nmero d`identificador fiscal del desenvolupador, que segons es tracti d`un pas o un altre pot tenir una llargada diferent. Aquest camp est indexatn per tal que es puguin fer cerques (veure index IDX_DVP_NUM_IDENTIF)';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."ADRE" IS 'Camp alfanumric, variable i mida mxima 255 dgits. Emmagatzema les dades corresponents a l`adrea d`un desenvolupador.n';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."CP" IS 'Camp alfanumric, de mida fixa 6 dgits. Emmagatema els codis postals o "country code".n L`hem deixat en 6 dgits per tal que sigui ms flexible a nivell internacional.';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."POBLACIO" IS 'Camp alfanumric de mida variable, llargada mxima 200 dgits. Guarda la informaci sobre la poblaci.';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."PROVINCIA" IS 'Camp alfanumric de mida variable, llargada mxima 200 dgits. Guarda la informaci sobre la provincia.';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."TELF" IS 'Camp alfanumric, variable de mida mxima 14 dgits. Emmagatzema el telefon del desenvolupador.n';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."MOBIL" IS 'Camp alfanumric, variable i mida mxima 14 dgits. Emmagatzema el telefon mbil d`un desenvolupador.n';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."FAX" IS 'Camp alfanumric, variable i mida mxima 14 dgits. Emmagatzema el fax d`un desenvolupador.';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."EMAIL" IS 'Camp alfanumric, variable i mida mxima 100 dgits. Emmagatzema l`e-mail  d`un desenvolupador.';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."DATAALTA" IS 'Camp de tipus timestamp que emmagatzema la data en la qual es dna d`alta el desenvolupador en el sistema.';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."DATAULTMOD" IS 'Data de tipus timestamp que guarda l`tlima vegada que s`han modificat les dades del desenvolupador. Pot ser null ja que es pot donar el cas que no es modifiquin les dades.n';
   COMMENT ON COLUMN "USER1"."DESENVOLUPADORS"."DATABAIXA" IS 'Camp de tipus timestamp que emmagatzema la data en que un desenvolupador es dna de baixa del sistema. Pot ser null degut a que pot no donar-se mai el cas.';
   COMMENT ON TABLE "USER1"."DESENVOLUPADORS"  IS 'Aquesta taula cont tota la informaci relativa als desenvolupadors d`aplicacions.';
--------------------------------------------------------
--  DDL for Table DISPOSITIUS
--------------------------------------------------------

  CREATE TABLE "USER1"."DISPOSITIUS" 
   (	"IMEI" CHAR(15 BYTE), 
	"DESCRIPCIO" VARCHAR2(150 BYTE), 
	"ID_SO" NUMBER(3,0), 
	"MODEL" VARCHAR2(100 BYTE), 
	"ID_RESOLUCIO" NUMBER(3,0), 
	"DATAALTA" TIMESTAMP (6)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."DISPOSITIUS"."IMEI" IS 'Camp de mida fixa 15 dgits, alfanumric. Ens regim per la normalitzaci dels codis IMEI a l`hora de buscar l`espai necessari per poder guardar aquesta dada.';
   COMMENT ON COLUMN "USER1"."DISPOSITIUS"."DESCRIPCIO" IS 'Camp de mida variable, alfanumric i 150 dgits de capacitat mxima. Guarda la descripci del dispositiu.';
   COMMENT ON COLUMN "USER1"."DISPOSITIUS"."ID_SO" IS 'Camp numric 3 dgits. Fa referncia a la clau primria de la taula SISTEMES_OP. Informa del sistema operatiu del dispositiu.';
   COMMENT ON COLUMN "USER1"."DISPOSITIUS"."MODEL" IS 'Camp variable de 100 dgits de capacitat mxiima. Alfanumric. Informa del model de dispositiu.';
   COMMENT ON COLUMN "USER1"."DISPOSITIUS"."ID_RESOLUCIO" IS 'Camp numric de 3 dgits. Fa referncia a la clau primria de la taula RESOLUCIONS. Informa de la resoluci del dispositiu. ';
   COMMENT ON COLUMN "USER1"."DISPOSITIUS"."DATAALTA" IS 'Camp de tipus timestamp. Informa del moment en qu s`ha donat d`alta el dispositiu a la base de dades.';
   COMMENT ON TABLE "USER1"."DISPOSITIUS"  IS 'Taula que guarda la informaci de tots els dispositius que es donin d`alta en la nostra base de dades. S`identifiquen els dispositius pel seu codi IMEI. ';
--------------------------------------------------------
--  DDL for Table DIVISES
--------------------------------------------------------

  CREATE TABLE "USER1"."DIVISES" 
   (	"ID_DIVISA" CHAR(3 BYTE), 
	"DESCRIPCIO" VARCHAR2(50 BYTE), 
	"VAL_RESP_BASE" FLOAT(126)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."DIVISES"."ID_DIVISA" IS 'Camp tipus char, mida fixa de 3 dgits. Utilitzarem la normativa internacional per designar divises.';
   COMMENT ON COLUMN "USER1"."DIVISES"."DESCRIPCIO" IS 'Camp de mida variable, alfanumric i mxima llargada 50 dgits. Serveix per guardar la descripci de la divisa.';
   COMMENT ON COLUMN "USER1"."DIVISES"."VAL_RESP_BASE" IS 'Valor de la divisa respecte la divisa base';
   COMMENT ON TABLE "USER1"."DIVISES"  IS 'Taula que representa els diferents tipus de divises. Encara que a l`enunciat se`ns proposa simplificar i noms treballar amb euros, amb la qual cosa aquesta taula s innecessria, l`hem volgut incloure per tal de que en un futur es pugui treballar amb ms divises. Est lligada a la taula PAISOS amb una interrelaci M:1. Una divisa pot ser la divisa de diversos pasos, per un pas noms t una sola divisa.';
--------------------------------------------------------
--  DDL for Table ESTADISTICA_ANY_PAIS
--------------------------------------------------------

  CREATE TABLE "USER1"."ESTADISTICA_ANY_PAIS" 
   (	"PERIODE" NUMBER(4,0), 
	"ID_PAIS" CHAR(2 BYTE), 
	"N_DIF_APLICACIONS" NUMBER(11,0), 
	"N_DIF_USUARIS" NUMBER(11,0), 
	"IMPORT_TOTAL" NUMBER(11,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."ESTADISTICA_ANY_PAIS"."PERIODE" IS 'Camp numric de 4 dgits. Guarda l`any.';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_ANY_PAIS"."ID_PAIS" IS 'Camp alfanumric de 2 dgits. Fa referncia  a la clau primria de la taula PAISOS.';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_ANY_PAIS"."N_DIF_APLICACIONS" IS 'Camp numric. Guarda el nombre d`aplicacions diferents descarregades. Veure PRC_ESTAD_8';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_ANY_PAIS"."N_DIF_USUARIS" IS 'Camp numric de 11 dgits. Guarda el nombre d`usuaris que com a mnim han descarregat una aplicaci. Veure PRC_ESTAD_6';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_ANY_PAIS"."IMPORT_TOTAL" IS 'Camp numric d`11 dgits i 2 decimals. Guarda el total recaudat per pas. veure PRC_ESTAD_7';
   COMMENT ON TABLE "USER1"."ESTADISTICA_ANY_PAIS"  IS 'Taula que guarda la informaci dels punts 6,7 i 8 del mdul estadstic.';
--------------------------------------------------------
--  DDL for Table ESTADISTICA_APL
--------------------------------------------------------

  CREATE TABLE "USER1"."ESTADISTICA_APL" 
   (	"PERIODE" NUMBER(4,0), 
	"ID_APLICACIO" NUMBER(11,0), 
	"EUROS_RECAUDATS" NUMBER(11,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."ESTADISTICA_APL"."PERIODE" IS 'Camp numric. Guarda l`any.';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_APL"."ID_APLICACIO" IS 'Camp numric d`11 dgits. Fa referncia a la clau primria de la taula APLICACIONS.';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_APL"."EUROS_RECAUDATS" IS 'Camp numric amb 2 decimals. Total euros recaudats per una aplicaci';
   COMMENT ON TABLE "USER1"."ESTADISTICA_APL"  IS 'Taula que guarda la informaci relativa al punt 5 del mdul estadstic.';
--------------------------------------------------------
--  DDL for Table ESTADISTICA_DVR
--------------------------------------------------------

  CREATE TABLE "USER1"."ESTADISTICA_DVR" 
   (	"PERIODE" NUMBER(4,0), 
	"ID_DVR" NUMBER(11,0), 
	"N_DESCARREGUES" NUMBER(11,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."ESTADISTICA_DVR"."PERIODE" IS 'Camp de mida fixa 4 dgits. Guarda l`any ';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_DVR"."ID_DVR" IS 'Camp numric de 11 dgits. Relaciona amb la clau primria de la taula DESENVOLUPADORS.';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_DVR"."N_DESCARREGUES" IS 'Camp numric. guarda el total de descrregues del desenvolupador. veure PRC_ESTAD_4';
   COMMENT ON TABLE "USER1"."ESTADISTICA_DVR"  IS 'Taula que guarda la informaci del punt 4 del mdul estadstic.';
--------------------------------------------------------
--  DDL for Table ESTADISTICA_GENERAL
--------------------------------------------------------

  CREATE TABLE "USER1"."ESTADISTICA_GENERAL" 
   (	"DESCAR_TOTALS_ACUM" NUMBER(11,0), 
	"IMPORT_TOTAL" NUMBER(11,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."ESTADISTICA_GENERAL"."DESCAR_TOTALS_ACUM" IS 'Camp que serveix per emmagatzemar el total de descrregues realitzades. La informaci prov del clcul realitzat en el procediment. Veure PRC_ESTAD_1 que crida el disparador TRG_ESTAD_1';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_GENERAL"."IMPORT_TOTAL" IS 'camp que serveix per emmagatzemar l`import total acumulat de les descarregues realitzades. Aquest valor es calcula a partir del procediment emmagatzemat PRC_ESTAD_2 que crida el disparador TRG_ESTAD_2';
   COMMENT ON TABLE "USER1"."ESTADISTICA_GENERAL"  IS 'Taula que guarda la informaci dels  punts 1 i 2 del mdul estadstic.';
--------------------------------------------------------
--  DDL for Table ESTADISTICA_USR
--------------------------------------------------------

  CREATE TABLE "USER1"."ESTADISTICA_USR" 
   (	"PERIODE" NUMBER(4,0), 
	"N_DESCARREGUES" NUMBER(11,0), 
	"N_USUARIS" NUMBER(11,0), 
	"DATAMOD" TIMESTAMP (6), 
	"DESCARREGUES_MITGES" NUMBER(6,1)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."ESTADISTICA_USR"."PERIODE" IS 'Camp numric de 4 dgits on es guarda l`any.';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_USR"."N_DESCARREGUES" IS 'Nombre de descrrgues acumulades per perode. Aprofitem el procediment PRC_ESTAD_1 per modificar aquest camp.';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_USR"."N_USUARIS" IS 'Camp numric enter d`11 dgits. Guarda el total d`usuaris existents a la base de dades.';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_USR"."DATAMOD" IS 'Camp tipus timestamp. Guarda la data de l`ltima modificaci de la taula.';
   COMMENT ON COLUMN "USER1"."ESTADISTICA_USR"."DESCARREGUES_MITGES" IS 'Camp numric. nombre mig de descrregues calculat amb el nombre total de descrregues dividit pel nombre total d`usuaris.';
   COMMENT ON TABLE "USER1"."ESTADISTICA_USR"  IS 'Taula que guarda la informaci necessaria relativa al punt 3 del mdul estadstic.';
--------------------------------------------------------
--  DDL for Table FORMES_PAGAMENT
--------------------------------------------------------

  CREATE TABLE "USER1"."FORMES_PAGAMENT" 
   (	"ID_FP" CHAR(3 BYTE), 
	"DESCRIPCIO" VARCHAR2(150 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."FORMES_PAGAMENT"."ID_FP" IS 'Camp de 3 dgits, mida fixa, alfanumric. Identifica la forma de pagament.';
   COMMENT ON COLUMN "USER1"."FORMES_PAGAMENT"."DESCRIPCIO" IS 'Camp variable de 150 dgits de llargada mxima, alfanumric. Guarda la descripci de la forma de pagament.';
   COMMENT ON TABLE "USER1"."FORMES_PAGAMENT"  IS 'Taula que guarda la informaci relativa a les diferents formes de pagament.';
--------------------------------------------------------
--  DDL for Table IDIOMES
--------------------------------------------------------

  CREATE TABLE "USER1"."IDIOMES" 
   (	"ID_IDIOMA" CHAR(3 BYTE), 
	"DESCRIPCIO" VARCHAR2(100 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."IDIOMES"."ID_IDIOMA" IS 'Camp de tipus alfanumric de mida fixa de 3 dgits que ens servir per identificar l`idioma.';
   COMMENT ON COLUMN "USER1"."IDIOMES"."DESCRIPCIO" IS 'Camp alfanumric, variable i mida mxima 100 dgits que servir per emmagatzemar la descripci de l`idioma.';
   COMMENT ON TABLE "USER1"."IDIOMES"  IS 'Taula que serveix per emmagatzemar els diferents idiomes que utilitzen les aplicacions. ';
--------------------------------------------------------
--  DDL for Table LOG_PROCEDIMENTS
--------------------------------------------------------

  CREATE TABLE "USER1"."LOG_PROCEDIMENTS" 
   (	"ID_PRC" VARCHAR2(20 BYTE), 
	"DATACRIDA" TIMESTAMP (9), 
	"PENT1" VARCHAR2(255 BYTE), 
	"PENT2" VARCHAR2(255 BYTE), 
	"PENT3" VARCHAR2(255 BYTE), 
	"PENT4" VARCHAR2(255 BYTE), 
	"PENT5" VARCHAR2(255 BYTE), 
	"PENT6" VARCHAR2(255 BYTE), 
	"PENT7" VARCHAR2(255 BYTE), 
	"PENT8" VARCHAR2(255 BYTE), 
	"PENT9" VARCHAR2(255 BYTE), 
	"PENT10" VARCHAR2(255 BYTE), 
	"PENT11" VARCHAR2(255 BYTE), 
	"PENT12" VARCHAR2(255 BYTE), 
	"PENT13" VARCHAR2(255 BYTE), 
	"PARAM_SORT" VARCHAR2(2000 BYTE), 
	"PENT14" VARCHAR2(255 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."ID_PRC" IS 'Camp alfanumric, variable de 20 dgits de mxim. Cada procediment t un nom unvoc que l`identifica. ';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."DATACRIDA" IS 'Tipus timestamp. Data del moment en que es realitza la crida al procediment. ';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT1" IS 'Mida variable, alfanumric. Guarda el parametre 1. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT2" IS 'Mida variable, alfanumric. Guarda el parametre 2. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT3" IS 'Mida variable, alfanumric. Guarda el parametre 3. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT4" IS 'Mida variable, alfanumric. Guarda el parametre 4. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT5" IS 'Mida variable, alfanumric. Guarda el parametre 5. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT6" IS 'Mida variable, alfanumric. Guarda el parametre 6. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT7" IS 'Mida variable, alfanumric. Guarda el parametre 7. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT8" IS 'Mida variable, alfanumric. Guarda el parametre 8. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT9" IS 'Mida variable, alfanumric. Guarda el parametre 9. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT10" IS 'Mida variable, alfanumric. Guarda el parametre 10. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT11" IS 'Mida variable, alfanumric. Guarda el parametre 11. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT12" IS 'Mida variable, alfanumric. Guarda el parametre 12. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT13" IS 'Mida variable, alfanumric. Guarda el parametre 13. Mida mxima 255.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PARAM_SORT" IS 'Mida variable, alfanumric. Guarda els parmetres de sortida. Mida mxima 2000 per tal de poder guardar tots els parmetres necessaris d`un procediment. Normalment el RSP amb un OK si tot ha anat b, i l`error d`Oracle si ha anat malament.';
   COMMENT ON COLUMN "USER1"."LOG_PROCEDIMENTS"."PENT14" IS 'Mida variable, alfanumric. Guarda el parametre 14. Mida mxima 255.';
   COMMENT ON TABLE "USER1"."LOG_PROCEDIMENTS"  IS 'Taula on es guarden les crides als procediments de la base de dades. Cadascun dels procediments guardar la informaci relativa a la seva execussi, aix com als resultats mitjanant els parmetres d`entrada i sortida.';
--------------------------------------------------------
--  DDL for Table OPERADORS
--------------------------------------------------------

  CREATE TABLE "USER1"."OPERADORS" 
   (	"ID_OPERADOR" CHAR(3 BYTE), 
	"NOM_OPERADOR" VARCHAR2(100 BYTE), 
	"DATAALTA" TIMESTAMP (6), 
	"ID_PAIS" CHAR(2 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."OPERADORS"."ID_OPERADOR" IS 'Camp fixa de tipus alfanumric. Clau primria. ';
   COMMENT ON COLUMN "USER1"."OPERADORS"."NOM_OPERADOR" IS 'Camp variable, alfanumric i mida mxima 100 dgits. Guarda el nom de l`operador.';
   COMMENT ON COLUMN "USER1"."OPERADORS"."DATAALTA" IS 'Tipus timestamp. Data de quan l`operador es dna d`alta al sistema.';
   COMMENT ON COLUMN "USER1"."OPERADORS"."ID_PAIS" IS 'Camp de mida fixa 2 dgits. Fa referncia a la clau primria de la taula PAISOS.';
   COMMENT ON TABLE "USER1"."OPERADORS"  IS 'Taula que guarda la informaci dels operadors de telecomunicacions dels diferents pasos.';
--------------------------------------------------------
--  DDL for Table PAISOS
--------------------------------------------------------

  CREATE TABLE "USER1"."PAISOS" 
   (	"ID_PAIS" CHAR(2 BYTE), 
	"NOM_PAIS" VARCHAR2(255 BYTE), 
	"CODI" NUMBER(4,0), 
	"ID_DIVISA" CHAR(3 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."PAISOS"."ID_PAIS" IS 'Camp de mida fixa, alfanumric i 2 dgits. Serveix per identificar el pas.';
   COMMENT ON COLUMN "USER1"."PAISOS"."NOM_PAIS" IS 'Camp de tipus alfanumrica, llargada variable de mxim 255 dgits. Guarda el nom del pas.';
   COMMENT ON COLUMN "USER1"."PAISOS"."CODI" IS 'Camp numric de 4 dgits. Serveis per identificar el codi de pas.';
   COMMENT ON COLUMN "USER1"."PAISOS"."ID_DIVISA" IS 'Camp de tipus alfanumric, de 3 dgits. Fa referncia a la clau primria de la taula DIVISES. Informa de la divisa del pas.';
   COMMENT ON TABLE "USER1"."PAISOS"  IS 'Taula que guarda la informaci relativa als pasos. Tal i com s`ha estipulat, identificarem els pasos per la seva codificaci segons l`estandard ISO 3166-1 Alpha-2, per la qual cosa necessitarem 2 dgits per identificar-los.';
--------------------------------------------------------
--  DDL for Table RESOLUCIONS
--------------------------------------------------------

  CREATE TABLE "USER1"."RESOLUCIONS" 
   (	"ID_RESOLUCIO" NUMBER(3,0), 
	"RES_H" NUMBER(8,0), 
	"RES_V" NUMBER(8,0), 
	"DESCRIP" VARCHAR2(10 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."RESOLUCIONS"."ID_RESOLUCIO" IS 'Camp numric de 3 dgits. s`autoincrementa mitjanant la seqncia SEQ_RESOLUCIO. ns clau primaria de la tula RESOLUCIONS';
   COMMENT ON COLUMN "USER1"."RESOLUCIONS"."RES_H" IS 'Camp numric que representa els pxels horitzontals. nResolucio horitzontal del dispositiu. No null perqu no interessa que quedi buit.';
   COMMENT ON COLUMN "USER1"."RESOLUCIONS"."RES_V" IS 'Camp numric de 8 dgits. Informa sobre el nombre de pxels verticals.nResolucio vertical del dispositiu. No null perqu no interessa que quedi buit.';
   COMMENT ON COLUMN "USER1"."RESOLUCIONS"."DESCRIP" IS 'Camp alfanumric, variable i mida mxima 10 dgits. nServeix per emmagatzemar la descripci de la resoluci. nexemle: VGA, XGA, SVGA... No null perqu no interessa que quedi buit.';
   COMMENT ON TABLE "USER1"."RESOLUCIONS"  IS 'Taula que emmagatzema les diferents resolucions de diversos dispositius.nSabem quina resoluci s ms gran o ms petita que una altra mitjanant la multiplicaci dels dos camps RES_H i RES_V.nA major valor ms gran s la resoluci.n';
--------------------------------------------------------
--  DDL for Table SISTEMES_OP
--------------------------------------------------------

  CREATE TABLE "USER1"."SISTEMES_OP" 
   (	"ID_SISTEMA" NUMBER(3,0), 
	"DESCRIPCIO" VARCHAR2(150 BYTE), 
	"VERSIO" VARCHAR2(20 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."SISTEMES_OP"."ID_SISTEMA" IS 'Camp numric de 3 dgits, que incrementa gradualment mitjanant la seqncia SEQ_SISTEMAOP.ntenim fins a 999 sistemes operatius que en principi ha de ser suficient.';
   COMMENT ON COLUMN "USER1"."SISTEMES_OP"."DESCRIPCIO" IS 'Camp alfanumric, variable i mida mxima 150 dgits. nEns serveix per guardar la descripci del sistema operatiu. Not null perqu no ens interessa que quedi buit.';
   COMMENT ON COLUMN "USER1"."SISTEMES_OP"."VERSIO" IS 'Camp alfanumric, variable i mida mxima de 20 dgits. nServeix per guardar informaci sobre la versi del sistema operatiu. nEx: Si Descripci s Microsoft Windows, aqu posarem XP 2002 32 bits.';
   COMMENT ON TABLE "USER1"."SISTEMES_OP"  IS 'Taula que ens serveix per emmagatzemar els diferents sistemes operatius que poden utilitzar les diferents aplicacions i dispositius.';
--------------------------------------------------------
--  DDL for Table TARIFES_APLIC_PAIS
--------------------------------------------------------

  CREATE TABLE "USER1"."TARIFES_APLIC_PAIS" 
   (	"ID_APLICACIO" NUMBER(8,0), 
	"ID_PAIS" CHAR(2 BYTE), 
	"PREU" NUMBER(8,2)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."TARIFES_APLIC_PAIS"."ID_APLICACIO" IS 'Camp que fa referncia a la taula APLICACIONS. Tipus numric i 8 dgits.';
   COMMENT ON COLUMN "USER1"."TARIFES_APLIC_PAIS"."ID_PAIS" IS 'Camp que fa referncia a la clau primria de la taula PAISOS. Tipus char i 2 dgits.';
   COMMENT ON COLUMN "USER1"."TARIFES_APLIC_PAIS"."PREU" IS 'Camp que guarda el preu de l`aplicaci per un pas concret. Tipus numric, amb 8 digits enters i 2 decimals. El preu sempre es en euros.';
   COMMENT ON TABLE "USER1"."TARIFES_APLIC_PAIS"  IS 'Taula que neix de la interrelaci M:N APLICACIONS i PAISOS. El preu per aplicaci i pas es guarda en aquesta taula.';
--------------------------------------------------------
--  DDL for Table USR_DISP
--------------------------------------------------------

  CREATE TABLE "USER1"."USR_DISP" 
   (	"ID_USUARI" NUMBER(11,0), 
	"IMEI" CHAR(15 BYTE), 
	"DATAASSOCIACIO" TIMESTAMP (6), 
	"DATABAIXA" TIMESTAMP (6)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."USR_DISP"."ID_USUARI" IS 'Camp que fa referncia a la clau primria USUARIS.';
   COMMENT ON COLUMN "USER1"."USR_DISP"."IMEI" IS 'Camp que fa referncia a la clau primria DISPOSITIUS.';
   COMMENT ON TABLE "USER1"."USR_DISP"  IS 'Taula que neix de la interrelaci M:N entre USUARIS i DISPOSITIUS. Relaciona un dispositiu amb un usuari.';
--------------------------------------------------------
--  DDL for Table USUARIS
--------------------------------------------------------

  CREATE TABLE "USER1"."USUARIS" 
   (	"ID_USUARI" NUMBER(11,0), 
	"NOM" VARCHAR2(100 BYTE), 
	"COGNOM1" VARCHAR2(100 BYTE), 
	"COGNOM2" VARCHAR2(100 BYTE), 
	"ALIES" VARCHAR2(50 BYTE), 
	"DIRECCIO" VARCHAR2(255 BYTE), 
	"CP" CHAR(6 BYTE), 
	"EMAIL" VARCHAR2(150 BYTE), 
	"ID_PAIS" CHAR(2 BYTE), 
	"ID_OPERADOR" CHAR(3 BYTE), 
	"DATAALTA" TIMESTAMP (6), 
	"DATABAIXA" TIMESTAMP (6), 
	"DATAULTMOD" TIMESTAMP (6), 
	"MOBIL" CHAR(14 BYTE), 
	"CIF_NIF" VARCHAR2(15 BYTE), 
	"PWD" VARCHAR2(16 BYTE), 
	"NUMDESC" NUMBER(8,0) DEFAULT 0, 
	"ULTDESC" TIMESTAMP (6), 
	"IMPORTTOTAL" NUMBER(11,2) DEFAULT 0, 
	"IDIOMA" CHAR(3 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."USUARIS"."ID_USUARI" IS 'numric de 11 dgits. Creiem que suficient per guardar tots els possibles usuaris del sistema.';
   COMMENT ON COLUMN "USER1"."USUARIS"."NOM" IS 'Variable, alfanumric de llargada mxima 100 dgits. Guarda el nom de l`usuari. No pot ser null perqu s un camp que s`ha d`informar obligatoriament.';
   COMMENT ON COLUMN "USER1"."USUARIS"."COGNOM1" IS 'Variable, alfanumric de llargada mxima 100 dgits. Guarda el primer cognom de l`usuari. No pot ser null perqu el sistema requereix aquesta dada.';
   COMMENT ON COLUMN "USER1"."USUARIS"."COGNOM2" IS 'Variable, alfanumric de llargada mxima 100 dgits. Guarda el primer cognom de l`usuari. Pot ser null perqu s una dada no essencial i a ms pot donar-se el cas de usuaris sense segon cognom segons el pas.';
   COMMENT ON COLUMN "USER1"."USUARIS"."ALIES" IS 'Variable, alfanumric de llargada mxima  50 dgits. Serveis per identificar l`usuari a la base de dades a nivell operatiu. No pot ser null perqu el sistema requereix aquesta dada i a ms s unvoc. ';
   COMMENT ON COLUMN "USER1"."USUARIS"."DIRECCIO" IS 'Variable, alfanumric i llargada mxima 255 dgits.';
   COMMENT ON COLUMN "USER1"."USUARIS"."CP" IS 'alfanumric, mida fixa de 6 dgits. Guarda el codi postal de l`usuari.';
   COMMENT ON COLUMN "USER1"."USUARIS"."EMAIL" IS 'alfanumric, variable de 150 dgits. Guarda l`e-mail de l`usuari.';
   COMMENT ON COLUMN "USER1"."USUARIS"."ID_PAIS" IS 'alfanumric de 2 dgits. Fa referncia a la clau primria de la taula PAISOS';
   COMMENT ON COLUMN "USER1"."USUARIS"."ID_OPERADOR" IS 'Alfanumric, de mida fixa i 3 dgits. Relaciona l`operador amb l`usuari.';
   COMMENT ON COLUMN "USER1"."USUARIS"."DATAALTA" IS 'Tipus timestamp. Guarda la data de quan un usuari es dna d`alta.';
   COMMENT ON COLUMN "USER1"."USUARIS"."DATABAIXA" IS 'Tipus timestamp, guarda la data quan un usuari es dna de baixa. Permet valors nuls.';
   COMMENT ON COLUMN "USER1"."USUARIS"."DATAULTMOD" IS 'tipus timestamp. Guarda la data de l`ultima modificaci realitzada en aquesta taula. Permet valors nuls.';
   COMMENT ON COLUMN "USER1"."USUARIS"."MOBIL" IS 'Camp de mida fixa, alfanumric de 14 dgits. No es permeten valors nuls, s`ha d`informar.';
   COMMENT ON COLUMN "USER1"."USUARIS"."CIF_NIF" IS 'Camp alfanumric, de mida variable i 15 dgits mxim. Emmagatzema el CIF o NIF de l`usuari. Depenent del pas pot tenir una mida o una altra.';
   COMMENT ON COLUMN "USER1"."USUARIS"."PWD" IS 'Variable,alfanumric de 16 dgits. Guarda la informaci del password.';
   COMMENT ON COLUMN "USER1"."USUARIS"."NUMDESC" IS 'Camp que comptabilitza el nombre de descrregues per usuari. S`actualitza amb el procediment emmagatzemat PRC_ESTAD_6';
   COMMENT ON COLUMN "USER1"."USUARIS"."ULTDESC" IS 'Columna on es guarda la informaci sobre l`ltima descrrega que l`usuari ha realitzat.';
   COMMENT ON COLUMN "USER1"."USUARIS"."IMPORTTOTAL" IS 'Columna on es guarda la informaci sobre el total gastat per l`usuari.';
   COMMENT ON COLUMN "USER1"."USUARIS"."IDIOMA" IS 'Camp que fa referncia a la taula IDIOMES. Guarda la informaci sobre l`idioma preferent de l`usuari.';
   COMMENT ON TABLE "USER1"."USUARIS"  IS 'Taula que guarda la informaci dels usuaris del sistema.';
--------------------------------------------------------
--  DDL for Table VERSIONS_APLICACIONS
--------------------------------------------------------

  CREATE TABLE "USER1"."VERSIONS_APLICACIONS" 
   (	"ID_APLICACIO" NUMBER(8,0), 
	"VERSIO" VARCHAR2(15 BYTE), 
	"DATAALTA" TIMESTAMP (6), 
	"ENLLABIN" VARCHAR2(255 BYTE), 
	"URL" VARCHAR2(255 BYTE), 
	"ID_RESOLUCIO_MINIMA" NUMBER(3,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;

   COMMENT ON COLUMN "USER1"."VERSIONS_APLICACIONS"."ID_APLICACIO" IS 'Camp numric de 8 dgits que fa referncia a la clau primaria de la taula APLICACIONS.';
   COMMENT ON COLUMN "USER1"."VERSIONS_APLICACIONS"."VERSIO" IS 'Camp alfanumric de 15 dgits, variable. Informa de la versi de l`aplicaci amb format lliure segons el desenvolupador. Juntament amb ID_APLICACIO formen la clau primaria.';
   COMMENT ON COLUMN "USER1"."VERSIONS_APLICACIONS"."DATAALTA" IS 'Camp tipus timestamp. Informa de la data en qu la versi d`una aplicaci s`ha donat d`alta.';
   COMMENT ON COLUMN "USER1"."VERSIONS_APLICACIONS"."ENLLABIN" IS 'Aquest camp guarda la informaci sobre l`enlla binari de l`aplicaci. La llargada del camp es variable i npot arribar al mxim que permet aquest tipus de dades de 255 dgits.nHa de ser suficient per guardar un enlla.';
   COMMENT ON COLUMN "USER1"."VERSIONS_APLICACIONS"."URL" IS 'Aquest camp guarda la informaci URL del vdeo demostraci de l`aplicacio.La llargada del camp s variable i npot arribar al mxim que permet aquest tipus de dades de 255 dgits. Ha de ser suficient per guardar un enlla.Pot ser null degut a que s un camp opcional.	';
   COMMENT ON COLUMN "USER1"."VERSIONS_APLICACIONS"."ID_RESOLUCIO_MINIMA" IS 'Camp que indica quina es la resoluci mnima que ha de tenir el dispositiu que vulgui executar l`aplicaci. ns una clau fornia a la taula de resolucions i igual que el camp al qual fa referncia de la taula resolucions, ns de tipus numric de 3 digits.';
   COMMENT ON TABLE "USER1"."VERSIONS_APLICACIONS"  IS 'Taula que guarda la informaci sobre les versions antigues de les aplicacions. Quan es canvia la versi de la taula APLICACIONS un procediment emmagatzema la informaci de la versi substituida a aquesta taula. ';
--------------------------------------------------------
--  DDL for Index IDX_APLICACIONS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_APLICACIONS" ON "USER1"."APLICACIONS" ("ID_RESOLUCIO_MINIMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_APLIC_DVR
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_APLIC_DVR" ON "USER1"."APLIC_DVR" ("ID_APLICACIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_APLIC_DVR2
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_APLIC_DVR2" ON "USER1"."APLIC_DVR" ("ID_DVR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_APLIC_IDIOMA_0
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_APLIC_IDIOMA_0" ON "USER1"."APLIC_IDIOMA" ("ID_APLICACIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_APLIC_IDIOMA_1
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_APLIC_IDIOMA_1" ON "USER1"."APLIC_IDIOMA" ("ID_IDIOMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_APLIC_SO_0
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_APLIC_SO_0" ON "USER1"."APLIC_SO" ("ID_APLICACIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_APLIC_SO_1
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_APLIC_SO_1" ON "USER1"."APLIC_SO" ("ID_SISTEMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_DESCARREGUES
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_DESCARREGUES" ON "USER1"."DESCARREGUES" ("ID_USUARI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_DESCARREGUES_0
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_DESCARREGUES_0" ON "USER1"."DESCARREGUES" ("ID_APLICACIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_DESCARREGUES_2
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_DESCARREGUES_2" ON "USER1"."DESCARREGUES" ("IMEI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_DESCARREGUES_3
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_DESCARREGUES_3" ON "USER1"."DESCARREGUES" ("ID_FP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_DESCARREGUES_4
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_DESCARREGUES_4" ON "USER1"."DESCARREGUES" ("ID_OPERADOR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_DESCARREGUES_5
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_DESCARREGUES_5" ON "USER1"."DESCARREGUES" ("ID_PAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_DISPOSITIUS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_DISPOSITIUS" ON "USER1"."DISPOSITIUS" ("ID_SO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_DISPOSITIUS_0
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_DISPOSITIUS_0" ON "USER1"."DISPOSITIUS" ("ID_RESOLUCIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_DVP_PAISOS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_DVP_PAISOS" ON "USER1"."DESENVOLUPADORS" ("ID_PAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_ESTADISTICA_ANY_PAIS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_ESTADISTICA_ANY_PAIS" ON "USER1"."ESTADISTICA_ANY_PAIS" ("ID_PAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_ESTADISTICA_APLICACIO
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_ESTADISTICA_APLICACIO" ON "USER1"."ESTADISTICA_APL" ("ID_APLICACIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_ESTADISTICA_DVP
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_ESTADISTICA_DVP" ON "USER1"."ESTADISTICA_DVR" ("ID_DVR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_LOG_PROCEDIMENTS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_LOG_PROCEDIMENTS" ON "USER1"."LOG_PROCEDIMENTS" ("ID_PRC") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_NUM_IDENTIF
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."IDX_NUM_IDENTIF" ON "USER1"."DESENVOLUPADORS" ("NUM_IDENTIFICADOR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_OPERADORS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_OPERADORS" ON "USER1"."OPERADORS" ("ID_PAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_PAISOS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_PAISOS" ON "USER1"."PAISOS" ("ID_DIVISA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_TARIFES_APLIC_PAIS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_TARIFES_APLIC_PAIS" ON "USER1"."TARIFES_APLIC_PAIS" ("ID_APLICACIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_TARIFES_APLIC_PAIS_0
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_TARIFES_APLIC_PAIS_0" ON "USER1"."TARIFES_APLIC_PAIS" ("ID_PAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_TARIFES_APLIC_PAIS_1
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."IDX_TARIFES_APLIC_PAIS_1" ON "USER1"."TARIFES_APLIC_PAIS" ("ID_APLICACIO", "ID_PAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_USUARIS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_USUARIS" ON "USER1"."USUARIS" ("ID_PAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_USUARIS_0
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_USUARIS_0" ON "USER1"."USUARIS" ("CIF_NIF") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_USUARIS_1
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_USUARIS_1" ON "USER1"."USUARIS" ("ID_OPERADOR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_USUARIS_2
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_USUARIS_2" ON "USER1"."USUARIS" ("IDIOMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_VERSIONS_APLICACIONS
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_VERSIONS_APLICACIONS" ON "USER1"."VERSIONS_APLICACIONS" ("ID_APLICACIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index IDX_VERSIONS_APLICACIONS_0
--------------------------------------------------------

  CREATE INDEX "USER1"."IDX_VERSIONS_APLICACIONS_0" ON "USER1"."VERSIONS_APLICACIONS" ("ID_RESOLUCIO_MINIMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_APLICACIONS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_APLICACIONS" ON "USER1"."APLICACIONS" ("ID_APLICACIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_APLIC_ANY_PAIS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_APLIC_ANY_PAIS" ON "USER1"."APLIC_ANY_PAIS" ("CLAUAPLANYPAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_APLIC_DVR
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_APLIC_DVR" ON "USER1"."APLIC_DVR" ("ID_APLICACIO", "ID_DVR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_APLIC_IDIOMA
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_APLIC_IDIOMA" ON "USER1"."APLIC_IDIOMA" ("ID_APLICACIO", "ID_IDIOMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_APLIC_SO
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_APLIC_SO" ON "USER1"."APLIC_SO" ("ID_APLICACIO", "ID_SISTEMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_DESCARREGUES
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_DESCARREGUES" ON "USER1"."DESCARREGUES" ("ID_DESCARREGA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_DESENVOLUPADORS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_DESENVOLUPADORS" ON "USER1"."DESENVOLUPADORS" ("ID_DVR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_DISPOSITIUS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_DISPOSITIUS" ON "USER1"."DISPOSITIUS" ("IMEI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_DIVISES
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_DIVISES" ON "USER1"."DIVISES" ("ID_DIVISA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_ESTADISTICA_ANY_PAIS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_ESTADISTICA_ANY_PAIS" ON "USER1"."ESTADISTICA_ANY_PAIS" ("PERIODE", "ID_PAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_ESTADISTICA_APLICACIO
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_ESTADISTICA_APLICACIO" ON "USER1"."ESTADISTICA_APL" ("PERIODE", "ID_APLICACIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_ESTADISTICA_DVP
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_ESTADISTICA_DVP" ON "USER1"."ESTADISTICA_DVR" ("PERIODE", "ID_DVR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_ESTADISTICA_USR
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_ESTADISTICA_USR" ON "USER1"."ESTADISTICA_USR" ("PERIODE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_FORMES_PAGAMENT
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_FORMES_PAGAMENT" ON "USER1"."FORMES_PAGAMENT" ("ID_FP") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_IDIOMES
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_IDIOMES" ON "USER1"."IDIOMES" ("ID_IDIOMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_OPERADORS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_OPERADORS" ON "USER1"."OPERADORS" ("ID_OPERADOR") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_PAISOS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_PAISOS" ON "USER1"."PAISOS" ("ID_PAIS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_RESOLUCIONS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_RESOLUCIONS" ON "USER1"."RESOLUCIONS" ("ID_RESOLUCIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_SISTEMES_OP
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_SISTEMES_OP" ON "USER1"."SISTEMES_OP" ("ID_SISTEMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_USR_DISP
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_USR_DISP" ON "USER1"."USR_DISP" ("ID_USUARI", "IMEI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_USUARIS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_USUARIS" ON "USER1"."USUARIS" ("ID_USUARI") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PK_VERSIONS_APLICACIONS
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."PK_VERSIONS_APLICACIONS" ON "USER1"."VERSIONS_APLICACIONS" ("ID_APLICACIO", "VERSIO") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index UNIK_USUARIS_ALIES
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."UNIK_USUARIS_ALIES" ON "USER1"."USUARIS" ("ALIES") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index UNIK_USUARIS_MOBIL
--------------------------------------------------------

  CREATE UNIQUE INDEX "USER1"."UNIK_USUARIS_MOBIL" ON "USER1"."USUARIS" ("MOBIL") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table APLICACIONS
--------------------------------------------------------

  ALTER TABLE "USER1"."APLICACIONS" ADD CONSTRAINT "CK_ACTIVA" CHECK ( ACTIVA IN (0,1) ) ENABLE;
  ALTER TABLE "USER1"."APLICACIONS" ADD CONSTRAINT "PK_APLICACIONS" PRIMARY KEY ("ID_APLICACIO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."APLICACIONS" MODIFY ("ACTIVA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."APLICACIONS" MODIFY ("ID_RESOLUCIO_MINIMA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."APLICACIONS" MODIFY ("ENLLABIN" NOT NULL ENABLE);
  ALTER TABLE "USER1"."APLICACIONS" MODIFY ("DATAALTA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."APLICACIONS" MODIFY ("VERSIO" NOT NULL ENABLE);
  ALTER TABLE "USER1"."APLICACIONS" MODIFY ("ID_APLICACIO" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table APLIC_ANY_PAIS
--------------------------------------------------------

  ALTER TABLE "USER1"."APLIC_ANY_PAIS" ADD CONSTRAINT "PK_APLIC_ANY_PAIS" PRIMARY KEY ("CLAUAPLANYPAIS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."APLIC_ANY_PAIS" MODIFY ("CLAUAPLANYPAIS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table APLIC_DVR
--------------------------------------------------------

  ALTER TABLE "USER1"."APLIC_DVR" ADD CONSTRAINT "PK_APLIC_DVR" PRIMARY KEY ("ID_APLICACIO", "ID_DVR")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."APLIC_DVR" MODIFY ("ID_DVR" NOT NULL ENABLE);
  ALTER TABLE "USER1"."APLIC_DVR" MODIFY ("ID_APLICACIO" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table APLIC_IDIOMA
--------------------------------------------------------

  ALTER TABLE "USER1"."APLIC_IDIOMA" ADD CONSTRAINT "PK_APLIC_IDIOMA" PRIMARY KEY ("ID_APLICACIO", "ID_IDIOMA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."APLIC_IDIOMA" MODIFY ("DESCRIPCIO_APLIC" NOT NULL ENABLE);
  ALTER TABLE "USER1"."APLIC_IDIOMA" MODIFY ("ID_IDIOMA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."APLIC_IDIOMA" MODIFY ("ID_APLICACIO" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table APLIC_SO
--------------------------------------------------------

  ALTER TABLE "USER1"."APLIC_SO" ADD CONSTRAINT "PK_APLIC_SO" PRIMARY KEY ("ID_APLICACIO", "ID_SISTEMA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."APLIC_SO" MODIFY ("ID_SISTEMA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."APLIC_SO" MODIFY ("ID_APLICACIO" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DADES_GENERALS
--------------------------------------------------------

  ALTER TABLE "USER1"."DADES_GENERALS" MODIFY ("ID_DIVISA_BASE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DESCARREGUES
--------------------------------------------------------

  ALTER TABLE "USER1"."DESCARREGUES" ADD CONSTRAINT "PK_DESCARREGUES" PRIMARY KEY ("ID_DESCARREGA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."DESCARREGUES" MODIFY ("IMEI" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESCARREGUES" MODIFY ("ID_FP" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESCARREGUES" MODIFY ("PREUPAGAT" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESCARREGUES" MODIFY ("DATADESCARREGA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESCARREGUES" MODIFY ("ID_USUARI" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESCARREGUES" MODIFY ("ID_DESCARREGA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DESENVOLUPADORS
--------------------------------------------------------

  ALTER TABLE "USER1"."DESENVOLUPADORS" ADD CONSTRAINT "IDX_NUM_IDENTIF" UNIQUE ("NUM_IDENTIFICADOR")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."DESENVOLUPADORS" ADD CONSTRAINT "PK_DESENVOLUPADORS" PRIMARY KEY ("ID_DVR")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."DESENVOLUPADORS" MODIFY ("DATAALTA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESENVOLUPADORS" MODIFY ("EMAIL" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESENVOLUPADORS" MODIFY ("CP" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESENVOLUPADORS" MODIFY ("ADRE" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESENVOLUPADORS" MODIFY ("NUM_IDENTIFICADOR" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESENVOLUPADORS" MODIFY ("ID_PAIS" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESENVOLUPADORS" MODIFY ("REPRESENTANT" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESENVOLUPADORS" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DESENVOLUPADORS" MODIFY ("ID_DVR" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DISPOSITIUS
--------------------------------------------------------

  ALTER TABLE "USER1"."DISPOSITIUS" ADD CONSTRAINT "PK_DISPOSITIUS" PRIMARY KEY ("IMEI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."DISPOSITIUS" MODIFY ("DATAALTA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DISPOSITIUS" MODIFY ("ID_RESOLUCIO" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DISPOSITIUS" MODIFY ("MODEL" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DISPOSITIUS" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DISPOSITIUS" MODIFY ("IMEI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DIVISES
--------------------------------------------------------

  ALTER TABLE "USER1"."DIVISES" ADD CONSTRAINT "PK_DIVISES" PRIMARY KEY ("ID_DIVISA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."DIVISES" MODIFY ("VAL_RESP_BASE" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DIVISES" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "USER1"."DIVISES" MODIFY ("ID_DIVISA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ESTADISTICA_ANY_PAIS
--------------------------------------------------------

  ALTER TABLE "USER1"."ESTADISTICA_ANY_PAIS" ADD CONSTRAINT "PK_ESTADISTICA_ANY_PAIS" PRIMARY KEY ("PERIODE", "ID_PAIS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."ESTADISTICA_ANY_PAIS" MODIFY ("N_DIF_APLICACIONS" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_ANY_PAIS" MODIFY ("ID_PAIS" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_ANY_PAIS" MODIFY ("PERIODE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ESTADISTICA_APL
--------------------------------------------------------

  ALTER TABLE "USER1"."ESTADISTICA_APL" ADD CONSTRAINT "PK_ESTADISTICA_APLICACIO" PRIMARY KEY ("PERIODE", "ID_APLICACIO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."ESTADISTICA_APL" MODIFY ("EUROS_RECAUDATS" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_APL" MODIFY ("ID_APLICACIO" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_APL" MODIFY ("PERIODE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ESTADISTICA_DVR
--------------------------------------------------------

  ALTER TABLE "USER1"."ESTADISTICA_DVR" ADD CONSTRAINT "PK_ESTADISTICA_DVP" PRIMARY KEY ("PERIODE", "ID_DVR")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."ESTADISTICA_DVR" MODIFY ("N_DESCARREGUES" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_DVR" MODIFY ("ID_DVR" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_DVR" MODIFY ("PERIODE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ESTADISTICA_GENERAL
--------------------------------------------------------

  ALTER TABLE "USER1"."ESTADISTICA_GENERAL" MODIFY ("IMPORT_TOTAL" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_GENERAL" MODIFY ("DESCAR_TOTALS_ACUM" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ESTADISTICA_USR
--------------------------------------------------------

  ALTER TABLE "USER1"."ESTADISTICA_USR" ADD CONSTRAINT "PK_ESTADISTICA_USR" PRIMARY KEY ("PERIODE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."ESTADISTICA_USR" MODIFY ("DESCARREGUES_MITGES" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_USR" MODIFY ("DATAMOD" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_USR" MODIFY ("N_USUARIS" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_USR" MODIFY ("N_DESCARREGUES" NOT NULL ENABLE);
  ALTER TABLE "USER1"."ESTADISTICA_USR" MODIFY ("PERIODE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table FORMES_PAGAMENT
--------------------------------------------------------

  ALTER TABLE "USER1"."FORMES_PAGAMENT" ADD CONSTRAINT "PK_FORMES_PAGAMENT" PRIMARY KEY ("ID_FP")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."FORMES_PAGAMENT" MODIFY ("ID_FP" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table IDIOMES
--------------------------------------------------------

  ALTER TABLE "USER1"."IDIOMES" ADD CONSTRAINT "PK_IDIOMES" PRIMARY KEY ("ID_IDIOMA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."IDIOMES" MODIFY ("ID_IDIOMA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table LOG_PROCEDIMENTS
--------------------------------------------------------

  ALTER TABLE "USER1"."LOG_PROCEDIMENTS" MODIFY ("DATACRIDA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."LOG_PROCEDIMENTS" MODIFY ("ID_PRC" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table OPERADORS
--------------------------------------------------------

  ALTER TABLE "USER1"."OPERADORS" ADD CONSTRAINT "PK_OPERADORS" PRIMARY KEY ("ID_OPERADOR")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."OPERADORS" MODIFY ("ID_PAIS" NOT NULL ENABLE);
  ALTER TABLE "USER1"."OPERADORS" MODIFY ("NOM_OPERADOR" NOT NULL ENABLE);
  ALTER TABLE "USER1"."OPERADORS" MODIFY ("ID_OPERADOR" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PAISOS
--------------------------------------------------------

  ALTER TABLE "USER1"."PAISOS" ADD CONSTRAINT "PK_PAISOS" PRIMARY KEY ("ID_PAIS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."PAISOS" MODIFY ("NOM_PAIS" NOT NULL ENABLE);
  ALTER TABLE "USER1"."PAISOS" MODIFY ("ID_PAIS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table RESOLUCIONS
--------------------------------------------------------

  ALTER TABLE "USER1"."RESOLUCIONS" ADD CONSTRAINT "PK_RESOLUCIONS" PRIMARY KEY ("ID_RESOLUCIO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."RESOLUCIONS" MODIFY ("DESCRIP" NOT NULL ENABLE);
  ALTER TABLE "USER1"."RESOLUCIONS" MODIFY ("RES_V" NOT NULL ENABLE);
  ALTER TABLE "USER1"."RESOLUCIONS" MODIFY ("RES_H" NOT NULL ENABLE);
  ALTER TABLE "USER1"."RESOLUCIONS" MODIFY ("ID_RESOLUCIO" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table SISTEMES_OP
--------------------------------------------------------

  ALTER TABLE "USER1"."SISTEMES_OP" ADD CONSTRAINT "PK_SISTEMES_OP" PRIMARY KEY ("ID_SISTEMA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."SISTEMES_OP" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "USER1"."SISTEMES_OP" MODIFY ("ID_SISTEMA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table TARIFES_APLIC_PAIS
--------------------------------------------------------

  ALTER TABLE "USER1"."TARIFES_APLIC_PAIS" ADD CONSTRAINT "IDX_TARIFES_APLIC_PAIS_1" PRIMARY KEY ("ID_APLICACIO", "ID_PAIS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."TARIFES_APLIC_PAIS" MODIFY ("PREU" NOT NULL ENABLE);
  ALTER TABLE "USER1"."TARIFES_APLIC_PAIS" MODIFY ("ID_PAIS" NOT NULL ENABLE);
  ALTER TABLE "USER1"."TARIFES_APLIC_PAIS" MODIFY ("ID_APLICACIO" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table USR_DISP
--------------------------------------------------------

  ALTER TABLE "USER1"."USR_DISP" ADD CONSTRAINT "PK_USR_DISP" PRIMARY KEY ("ID_USUARI", "IMEI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."USR_DISP" MODIFY ("IMEI" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USR_DISP" MODIFY ("ID_USUARI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table USUARIS
--------------------------------------------------------

  ALTER TABLE "USER1"."USUARIS" ADD CONSTRAINT "UNIK_USUARIS_MOBIL" UNIQUE ("MOBIL")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."USUARIS" ADD CONSTRAINT "UNIK_USUARIS_ALIES" UNIQUE ("ALIES")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."USUARIS" ADD CONSTRAINT "PK_USUARIS" PRIMARY KEY ("ID_USUARI")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."USUARIS" MODIFY ("IDIOMA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USUARIS" MODIFY ("PWD" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USUARIS" MODIFY ("MOBIL" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USUARIS" MODIFY ("DATAALTA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USUARIS" MODIFY ("ID_OPERADOR" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USUARIS" MODIFY ("EMAIL" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USUARIS" MODIFY ("CP" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USUARIS" MODIFY ("COGNOM1" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USUARIS" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "USER1"."USUARIS" MODIFY ("ID_USUARI" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table VERSIONS_APLICACIONS
--------------------------------------------------------

  ALTER TABLE "USER1"."VERSIONS_APLICACIONS" ADD CONSTRAINT "PK_VERSIONS_APLICACIONS" PRIMARY KEY ("ID_APLICACIO", "VERSIO")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "USER1"."VERSIONS_APLICACIONS" MODIFY ("ID_RESOLUCIO_MINIMA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."VERSIONS_APLICACIONS" MODIFY ("DATAALTA" NOT NULL ENABLE);
  ALTER TABLE "USER1"."VERSIONS_APLICACIONS" MODIFY ("VERSIO" NOT NULL ENABLE);
  ALTER TABLE "USER1"."VERSIONS_APLICACIONS" MODIFY ("ID_APLICACIO" NOT NULL ENABLE);

ALTER TABLE APLICACIONS ADD CONSTRAINT FK_APLIC_RESOLUCIONS FOREIGN KEY ( ID_RESOLUCIO_MINIMA ) REFERENCES RESOLUCIONS( ID_RESOLUCIO );

ALTER TABLE APLIC_DVR ADD CONSTRAINT FK_APLIC_DVR_APLICACIONS FOREIGN KEY ( ID_APLICACIO ) REFERENCES APLICACIONS( ID_APLICACIO );

ALTER TABLE APLIC_DVR ADD CONSTRAINT FK_APLIC_DVR_DESENVOLUPADORS FOREIGN KEY ( ID_DVR ) REFERENCES DESENVOLUPADORS( ID_DVR );

ALTER TABLE APLIC_IDIOMA ADD CONSTRAINT FK_APLIC_IDIOMA_APLICACIONS FOREIGN KEY ( ID_APLICACIO ) REFERENCES APLICACIONS( ID_APLICACIO );

ALTER TABLE APLIC_IDIOMA ADD CONSTRAINT FK_APLIC_IDIOMA_IDIOMES FOREIGN KEY ( ID_IDIOMA ) REFERENCES IDIOMES( ID_IDIOMA );

ALTER TABLE APLIC_SO ADD CONSTRAINT FK_APLIC_SO_APLICACIONS FOREIGN KEY ( ID_APLICACIO ) REFERENCES APLICACIONS( ID_APLICACIO );

ALTER TABLE APLIC_SO ADD CONSTRAINT FK_APLIC_SO_SISTEMES_OP FOREIGN KEY ( ID_SISTEMA ) REFERENCES SISTEMES_OP( ID_SISTEMA );

ALTER TABLE DESCARREGUES ADD CONSTRAINT FK_DESCARREGUES FOREIGN KEY ( ID_USUARI ) REFERENCES USUARIS( ID_USUARI );

ALTER TABLE DESCARREGUES ADD CONSTRAINT FK_DESCARREGUES_0 FOREIGN KEY ( ID_APLICACIO ) REFERENCES APLICACIONS( ID_APLICACIO );

ALTER TABLE DESCARREGUES ADD CONSTRAINT FK_DESCARREGUES_2 FOREIGN KEY ( IMEI ) REFERENCES DISPOSITIUS( IMEI );

ALTER TABLE DESCARREGUES ADD CONSTRAINT FK_DESCARREGUES_3 FOREIGN KEY ( ID_FP ) REFERENCES FORMES_PAGAMENT( ID_FP );

ALTER TABLE DESCARREGUES ADD CONSTRAINT FK_DESCARREGUES_4 FOREIGN KEY ( ID_OPERADOR ) REFERENCES OPERADORS( ID_OPERADOR );

ALTER TABLE DESCARREGUES ADD CONSTRAINT FK_DESCARREGUES_5 FOREIGN KEY ( ID_PAIS ) REFERENCES PAISOS( ID_PAIS );

ALTER TABLE DESENVOLUPADORS ADD CONSTRAINT FK_DESENVOLUPADORS FOREIGN KEY ( ID_PAIS ) REFERENCES PAISOS( ID_PAIS );

ALTER TABLE DISPOSITIUS ADD CONSTRAINT FK_DISPOSITIUS FOREIGN KEY ( ID_SO ) REFERENCES SISTEMES_OP( ID_SISTEMA );

ALTER TABLE DISPOSITIUS ADD CONSTRAINT FK_DISPOSITIUS_0 FOREIGN KEY ( ID_RESOLUCIO ) REFERENCES RESOLUCIONS( ID_RESOLUCIO );

ALTER TABLE ESTADISTICA_ANY_PAIS ADD CONSTRAINT FK_ESTADISTICA_ANY_PAIS FOREIGN KEY ( ID_PAIS ) REFERENCES PAISOS( ID_PAIS );

ALTER TABLE ESTADISTICA_APL ADD CONSTRAINT FK_ESTADISTICA_APLICACIO FOREIGN KEY ( ID_APLICACIO ) REFERENCES APLICACIONS( ID_APLICACIO );

ALTER TABLE ESTADISTICA_DVR ADD CONSTRAINT FK_ESTADISTICA_DVP FOREIGN KEY ( ID_DVR ) REFERENCES DESENVOLUPADORS( ID_DVR );

ALTER TABLE OPERADORS ADD CONSTRAINT FK_OPERADORS FOREIGN KEY ( ID_PAIS ) REFERENCES PAISOS( ID_PAIS );

ALTER TABLE PAISOS ADD CONSTRAINT FK_PAISOS_DIVISES FOREIGN KEY ( ID_DIVISA ) REFERENCES DIVISES( ID_DIVISA );

ALTER TABLE TARIFES_APLIC_PAIS ADD CONSTRAINT FK_TARIFES_APLIC_PAIS_0 FOREIGN KEY ( ID_APLICACIO ) REFERENCES APLICACIONS( ID_APLICACIO );

ALTER TABLE TARIFES_APLIC_PAIS ADD CONSTRAINT FK_TARIFES_APLIC_PAIS FOREIGN KEY ( ID_PAIS ) REFERENCES PAISOS( ID_PAIS );

ALTER TABLE USR_DISP ADD CONSTRAINT FK_USR_DISP FOREIGN KEY ( ID_USUARI ) REFERENCES USUARIS( ID_USUARI );

ALTER TABLE USR_DISP ADD CONSTRAINT FK_USR_DISP_0 FOREIGN KEY ( IMEI ) REFERENCES DISPOSITIUS( IMEI );

ALTER TABLE USUARIS ADD CONSTRAINT FK_USUARIS FOREIGN KEY ( ID_PAIS ) REFERENCES PAISOS( ID_PAIS );

ALTER TABLE USUARIS ADD CONSTRAINT FK_USUARIS_0 FOREIGN KEY ( ID_OPERADOR ) REFERENCES OPERADORS( ID_OPERADOR );

ALTER TABLE USUARIS ADD CONSTRAINT FK_USUARIS_IDIOMES FOREIGN KEY ( IDIOMA ) REFERENCES IDIOMES( ID_IDIOMA );

ALTER TABLE VERSIONS_APLICACIONS ADD CONSTRAINT FK_VERSIONS_APLICACIONS FOREIGN KEY ( ID_APLICACIO ) REFERENCES APLICACIONS( ID_APLICACIO );

ALTER TABLE VERSIONS_APLICACIONS ADD CONSTRAINT FK_VERSIONS_APLICACIONS_0 FOREIGN KEY ( ID_RESOLUCIO_MINIMA ) REFERENCES RESOLUCIONS( ID_RESOLUCIO );
/

--------------------------------------------------------
--  DDL for View VIEW_CONSULTA_A
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "USER1"."VIEW_CONSULTA_A" ("ID_DVR", "NOM", "REPRESENTANT", "ID_PAIS", "NUM_IDENTIFICADOR", "ADRE", "CP", "TELF", "MOBIL", "FAX", "EMAIL", "DATAALTA", "DATAULTMOD", "DATABAIXA", "PROVINCIA", "POBLACIO", "NUMDIFAPLICS") AS 
  SELECT DVR."ID_DVR",DVR."NOM",DVR."REPRESENTANT",DVR."ID_PAIS",DVR."NUM_IDENTIFICADOR",DVR."ADRE",DVR."CP",DVR."TELF",DVR."MOBIL",DVR."FAX",DVR."EMAIL",DVR."DATAALTA",DVR."DATAULTMOD",DVR."DATABAIXA",DVR."PROVINCIA",DVR."POBLACIO",numDifAplics FROM desenvolupadors DVR JOIN (SELECT COUNT(*) as numDifAplics,ID_DVR FROM APLIC_DVR GROUP BY ID_DVR) APL ON DVR.ID_DVR=APL.ID_DVR;
--------------------------------------------------------
--  DDL for View VIEW_CONSULTA_B
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "USER1"."VIEW_CONSULTA_B" ("ID_APLICACIO", "VERSIO", "DATAALTA", "ENLLABIN", "URL", "ID_RESOLUCIO_MINIMA", "ACTIVA", "DATAULTMOD", "DATABAIXA", "NUMDESC", "NOM", "ULTDESC", "IMPORTTOTAL") AS 
  SELECT "APLICACIONS"."ID_APLICACIO" "ID_APLICACIO","APLICACIONS"."VERSIO" "VERSIO","APLICACIONS"."DATAALTA" "DATAALTA","APLICACIONS"."ENLLABIN" "ENLLABIN","APLICACIONS"."URL" "URL","APLICACIONS"."ID_RESOLUCIO_MINIMA" "ID_RESOLUCIO_MINIMA","APLICACIONS"."ACTIVA" "ACTIVA","APLICACIONS"."DATAULTMOD" "DATAULTMOD","APLICACIONS"."DATABAIXA" "DATABAIXA","APLICACIONS"."NUMDESC" "NUMDESC","APLICACIONS"."NOM" "NOM","APLICACIONS"."ULTDESC" "ULTDESC","APLICACIONS"."IMPORTTOTAL" "IMPORTTOTAL" FROM "APLICACIONS" "APLICACIONS" WHERE "APLICACIONS"."ACTIVA"=1;
--------------------------------------------------------
--  DDL for View VIEW_CONSULTA_C
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "USER1"."VIEW_CONSULTA_C" ("ID_PAIS", "NOM_PAIS", "ANYCONCRET", "TOTALDESCPAIS") AS 
  SELECT 
   P.ID_PAIS,P.NOM_PAIS,2013 AS ANYCONCRET,0 AS TOTALDESCPAIS
FROM
 PAISOS P;
--------------------------------------------------------
--  DDL for View VIEW_CONSULTA_D
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "USER1"."VIEW_CONSULTA_D" ("NOM", "ID_DESCARREGA", "ID_USUARI", "ID_APLICACIO", "DATADESCARREGA", "PREUPAGAT", "ID_FP", "IMEI", "ID_OPERADOR", "ID_PAIS", "VERSIO", "ID_DIVISA") AS 
  SELECT 
    AP.NOM,D."ID_DESCARREGA",D."ID_USUARI",D."ID_APLICACIO",D."DATADESCARREGA",D."PREUPAGAT",D."ID_FP",D."IMEI",D."ID_OPERADOR",D."ID_PAIS",D."VERSIO",D."ID_DIVISA"
FROM 
DESCARREGUES D JOIN APLICACIONS AP ON D.ID_APLICACIO=AP.ID_APLICACIO;
--------------------------------------------------------
--  DDL for View VIEW_CONSULTA_E
--------------------------------------------------------

  CREATE OR REPLACE FORCE VIEW "USER1"."VIEW_CONSULTA_E" ("ID_USUARI", "NOM", "COGNOM1", "MOBIL", "TOTALGASTAT") AS 
  SELECT 
    ID_USUARI,NOM,COGNOM1,MOBIL,IMPORTTOTAL AS TOTALGASTAT
FROM
 USUARIS;


