/*
JOC DE PROVES 1

Per tal que tot el joc de proves funcioni adecuadament, amb els resultats esperats
s'han d'anar seguint tots els passos, sense repetir-ne cap, ni deixar-se'n cap.

Comenarem pels procediments ABM
Inserirem desenvolupadors mitjantant el procediment INS_DVR
En principi son desenvolupadors no asignats a cap aplicaci.

*/
VAR output varchar2;
EXEC INS_DVR ('Developer1','Jacob','US','345345222','Kingston road, 15','14545','Atlanta','','708445445','88588859','','developer1@amdam.com',:output);
EXEC INS_DVR ('Developer2','Xavi','ES','45884477','C/Morgades, 15','08008','Barcelona','','58855588','655455855','','developer2@amdam.com',:output);
EXEC INS_DVR ('Developer3','Jung Park','KR','747774147','Korean all road, 15','85858','Seul','','758844777','12365889','','developer3@amdam.com',:output);
EXEC INS_DVR ('Developer4','Jordi','ES','48544744','C/Morgades, 16','08008','Barcelona','','9966699887','7477447744','','developer4@amdam.com',:output);
EXEC INS_DVR ('Developer5','Bladimir Kasparov','RU','345345252','Siberian road, 15','14545','Moscou','','1255887745','85475115','','developer5@amdam.com',:output);
EXEC INS_DVR ('Developer6','Peter Jackson','GB','85885445','Kingston road, 15','14545','London','','3556885541','785544584','','developer6@amdam.com',:output);
/*Comprovem que els desenvolupadors s'han creat.*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='INS_DVR' ORDER BY DATACRIDA DESC; 
SELECT * FROM DESENVOLUPADORS ORDER BY ID_DVR;
/*
Inserim un desenvolupador que t el mateix identificador que un altre, ens ha de donar error que quedar
registrat en el log de procediments.
*/
VAR output varchar2;
EXEC INS_DVR ('Developer7','Gabriel Jackson','GB','85885445','Kingston road, 17','14545','London','','3556885542','785544583','','developer7@amdam.com',:output);
/*
Comprovem l'error en el procediment emmagatzemat i comprovem que efectivament no existeix el 
desenvolupador dins la taula DESENVOLUPADORS.
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='INS_DVR' ORDER BY DATACRIDA DESC; 
SELECT * FROM DESENVOLUPADORS WHERE NOM='Developer7'; /*ha de retornar <<no se ha seleccionado ninguna fila>>*/
/*
Ara comprovarem el procediment de modificaci de desenvolupadors. En aquest cas noms canviarem
algun camp, per es poden canviar els que volguem (nom,adrea i codi postal). Veure script del procediment
*/
VAR output varchar2;
EXEC MOD_DVR(6,'Developer6_mod','Peter Jackson','GB','85885445','Kingston road, 17','94545','London','','3556885541','785544584','','developer6@amdam.com',:output);
SELECT * FROM DESENVOLUPADORS WHERE NOM='Developer6_mod';
/*
Ara comprovarem el procediment de baixa de la taula desenvolupadors
*/
VAR output varchar2;
EXEC BXA_DVR(6,:output);
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='BXA_DVR' ORDER BY DATACRIDA DESC;
SELECT * FROM DESENVOLUPADORS WHERE DATABAIXA IS NOT NULL;
SELECT * FROM DESENVOLUPADORS WHERE DATABAIXA IS NULL ORDER BY ID_DVR;
/*
Provarem ara els procediments ABM de les aplicacions. Es important anar seguint l'ordre.
Comenarem amb les insercions.
*/
VAR output varchar2;
EXEC INS_APLICACIONS ('1.2','HTTP://www.amdam.com/aplicacio_1.2','HTTP://www.amdam.com/downloads/aplicacio_1.2',3,1,'aplicaci Eating Apples 2',102,35888,1,25.95,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_2.2','HTTP://www.amdam.com/downloads/aplicacio_2.2',2,1,'aplicaci winwok',102,45555,2,25.95,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_3.2','HTTP://www.amdam.com/downloads/aplicacio_3.2',4,0,'aplicaci torpedo',102,33222,3,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_4.2','HTTP://www.amdam.com/downloads/aplicacio_4.2',5,1,'aplicaci kame',102,4888,4,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_5.2','HTTP://www.amdam.com/downloads/aplicacio_5.2',6,1,'aplicaci ma',102,14444,5,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_6.2','HTTP://www.amdam.com/downloads/aplicacio_6.2',5,1,'aplicaci locky',102,41111,1,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_7.2','HTTP://www.amdam.com/downloads/aplicacio_7.2',5,1,'aplicaci Moddy',102,41111,2,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_8.2','HTTP://www.amdam.com/downloads/aplicacio_8.2',5,1,'aplicaci Lobby',102,41111,6,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_9.2','HTTP://www.amdam.com/downloads/aplicacio_9.2',5,1,'aplicaci poly',101,41111,5,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_10.2','HTTP://www.amdam.com/downloads/aplicacio_10.2',5,1,'aplicaci malo',102,41111,5,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_11.2','HTTP://www.amdam.com/downloads/aplicacio_11.2',5,1,'aplicaci west',101,41111,6,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_12.2','HTTP://www.amdam.com/downloads/aplicacio_12.2',5,1,'aplicaci danger',101,41111,1,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_13.2','HTTP://www.amdam.com/downloads/aplicacio_13.2',5,1,'aplicaci finger',102,41111,1,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_14.2','HTTP://www.amdam.com/downloads/aplicacio_14.2',5,1,'aplicaci inside',102,41111,4,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_15.2','HTTP://www.amdam.com/downloads/aplicacio_15.2',5,1,'aplicaci outlook',103,41111,3,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_16.2','HTTP://www.amdam.com/downloads/aplicacio_16.2',5,1,'aplicaci thunderbird',102,41111,3,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_17.2','HTTP://www.amdam.com/downloads/aplicacio_17.2',5,1,'aplicaci mesomo',103,41111,2,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_18.2','HTTP://www.amdam.com/downloads/aplicacio_18.2',5,1,'aplicaci babycook',103,41111,2,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_19.2','HTTP://www.amdam.com/downloads/aplicacio_19.2',5,1,'aplicaci devils',103,41111,1,43.15,:output);
EXEC INS_APLICACIONS ('1.1','HTTP://www.amdam.com/aplicacio_20.2','HTTP://www.amdam.com/downloads/aplicacio_20.2',5,1,'aplicaci far',102,41111,4,43.15,:output);
/*
Comprovarem els procediments emmagatzemats. n'hi hauria d'haver tants com lnies d'execuci anteriors
Tamb farem un select per veure que hi tenim 20 aplicacions.
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='INS_APLICACIONS' ORDER BY DATACRIDA DESC;
SELECT * FROM APLICACIONS ORDER BY ID_APLICACIO;
/*
Comprovem tamb si s'han generat les tarifes per pas de cada aplici
*/
SELECT * FROM TARIFES_APLIC_PAIS; /* Tants registres com pasos de la taula PAISOS multiplicat per les aplicacions inserides*/
SELECT * FROM PAISOS; /*Per veure els pasos que hi ha*/
SELECT COUNT(*) FROM PAISOS;
SELECT COUNT(*) FROM APLICACIONS;
SELECT COUNT(*) FROM TARIFES_APLIC_PAIS;
/*
Comprovarem ara el procediment de modificaci. canviem algunes coses com l'enlla o el binari, per
posem especial atenci a canviar la versi. Veurem com s'ha modificat la taula VERSIONS_APLICACIONS.
*/
VAR output varchar2;
EXEC MOD_APLICACIONS (1,'1.9','HTTP://www.MODIFICAT.COM','HTTP://www.MODIFICAT.COM_1.2',1,1,:output);
/*
Comprovem els resultats
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='MOD_APLICACIONS' ORDER BY DATACRIDA DESC;
SELECT * FROM APLICACIONS WHERE ID_APLICACIO=1;
SELECT * FROM VERSIONS_APLICACIONS WHERE ID_APLICACIO=1;
/*
Comprovem ara el fet de donar de baixa una aplicaci. Donarem de baixa l'aplicaci 2.
*/
VAR output varchar2;
EXEC BXA_APLICACIONS(2,:output);
/*
Comprovem els resultats
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='BXA_APLICACIONS' ORDER BY DATACRIDA DESC;
SELECT * FROM APLICACIONS WHERE ID_APLICACIO=2 AND DATABAIXA IS NOT NULL;
/*
A continuaci comprovarem els procediments ABM dels usuaris
Comencem amb els procediments d'inserci.
*/
SELECT * FROM ESTADISTICA_USR; /*Veiem que l'estadstica est inicialitzada a 0*/
/*Comencem a inserir usuaris*/
VAR output varchar2;
EXEC INS_USRS ('SALVI','PUJADAS','COGN2','SPS','ADREA','08500','sps@movistar.es','ES','MOV','649996700','33900000X','QAWWDERFTG','CAT',:OUTPUT);
EXEC INS_USRS ('ALBERT','RIBA','COGN2','ar','ADREA','08500','ar@movistar.es','ES','MOV','649996701','33800000X','QAWWD12FTG','CAT',:OUTPUT);
EXEC INS_USRS ('JOSEP','MOLES','COGN2','JM','ADREA','08500','jm@movistar.es','ES','MOV','649996702','33700000X','QAWWDARFTG','ESP',:OUTPUT);
EXEC INS_USRS ('MANEL','FONT','COGN2','MF','ADREA','08500','mf@movistar.es','ES','MOV','620115553','33600000X','QAAADERFTG','ESP',:OUTPUT);
EXEC INS_USRS ('JORGE','ALONSO','COGN2','JA','ADREA','08500','mf@movistar.es','ES','MOV','620915553','33500000X','QAEADERFTG','ESP',:OUTPUT);
EXEC INS_USRS ('IBAN','GUTIERREZ','COGN2','IG','ADREA','08500','mf@movistar.es','US','MOV','620885553','33400000X','Q2UADERFTG','ESP',:OUTPUT);
EXEC INS_USRS ('ANTONY','HOPKINS','COGN2','AH','ADREA','08500','mf@movistar.es','US','MOV','620815553','33300000X','QAAODERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MELANIE','GRIFFY','COGN2','MG','ADREA','08500','mf@movistar.es','US','MOV','620515553','33200000X','QA1ADERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ROBIN','HOOD','COGN2','RH','ADREA','08500','rh@movistar.es','GB','MOV','620715553','33100000X','QAALDERFTG','ENG',:OUTPUT);
/*
Comprovem que els procediments s'han executat correctament i que tenim tants usuaris com procediments executats
Tamb comprovem que s'ha actualitzat el nombre d'usuaris a la taula ESTADISTICA_USR;
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='INS_USRS' ORDER BY DATACRIDA DESC;
SELECT * FROM USUARIS;
SELECT * FROM ESTADISTICA_USR;
/*
Intentem ara inserir un usuari amb un alies igual. Ens ha de donar error i comprovarem el 
log de procediments.
*/
VAR output varchar2;
EXEC INS_USRS ('ROBIN','COOK','COGN2','RH','ADREA','08500','rh@movistar.es','GB','MOV','620795553','33100000X','QAALDERFTG','ENG',:OUTPUT);
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='INS_USRS' ORDER BY DATACRIDA DESC; /* Hem de tenir un error per infirngir un ndex UNIQUE*/
SELECT * FROM USUARIS; /* Tenim exactament el mateixos que tenem */
/*
Comprovem el procediment de modificaci d'usuaris. Canviem el segon cognom i el numero de telfon
*/
VAR output varchar2;
EXEC MOD_USRS (9,'ROBIN','COOK','MODIFICAT','RH','ADREA','08500','rh@movistar.es','GB','MOV','620795553','33100000X','QAALDERFTG','ENG',:OUTPUT);
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='MOD_USRS' ORDER BY DATACRIDA DESC; /* Hem de tenir un error per infirngir un ndex UNIQUE*/
SELECT * FROM USUARIS WHERE COGNOM2='MODIFICAT'; /* Tenim exactament el mateixos que tenem */
SELECT * FROM ESTADISTICA_USR; /* s exactament igual */
/*
Associem els usuaris entrats amb els dispostius que tenim a la base de dades
*/
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,1,'123456789123456');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,2,'789456123789456');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,3,'741852963741852');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,4,'852741963987654');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,5,'321654987789451');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,6,'159753621547945');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,7,'159874563245698');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,8,'753859632175896');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,9,'145896328741547');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,2,'123456781234561');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,1,'123456791234562');
/*
Finalment per acabar amb el bloc dels prcediments ABM veurem el procediment de baixa
d'un usuari
*/
VAR output varchar2;
EXEC BXA_USRS(2,:output);
/*
Comprovem els resultats
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='BXA_USRS' ORDER BY DATACRIDA DESC;
SELECT * FROM USUARIS WHERE DATABAIXA IS NOT NULL;


/*
En el segent apartat comprovarem el MODUL ESTADISTIC
*/
/*
Volem comprovar com es realitzen les descrregues
insertem 3 descrregues mitjanant el procediment de descrregues
*/
SELECT * FROM DADES_GENERALS;
SELECT * FROM ESTADISTICA_GENERAL;
SELECT * FROM ESTADISTICA_USR;
SELECT * FROM ESTADISTICA_DVR;
SELECT * FROM ESTADISTICA_APL;
SELECT * FROM ESTADISTICA_ANY_PAIS;
/*
Inserim les descrregues 
*/
VAR output varchar2;
EXEC PRC_DESCARREGUES (1,3,'1.1',25.95,'PPL','123456789123456','MOV','EUR',:output); 
/*Usuari 1 descarrega aplicaci 3*/
EXEC PRC_DESCARREGUES (1,4,'1.1',43.15,'PPL','123456789123456','MOV','EUR',:output); 
/*Usuari 1 descarrega aplicaci 4*/
EXEC PRC_DESCARREGUES (3,4,'1.1',43.15,'PPL','741852963741852','MOV','EUR',:output); 
/*Usuari 3 descarrega aplicaci 4*/
/*
resultats a continuaci
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='PRC_DESCARREGUES' ORDER BY DATACRIDA DESC; 
/*Hi Hauria d'haver 3  procediments adicionals en el log_procediments*/
SELECT * FROM DADES_GENERALS; 
/* Resta exactament igual */
SELECT * FROM ESTADISTICA_GENERAL; 
/* Hi hauria d'haver 3 descrregues ms acumulades i un total de 112.25  acumulats */
SELECT * FROM ESTADISTICA_USR; 
/* Hi ha d'haver en el perode actual 3 descrregues de total 9 usuaris i unes descrregues mitges de 0.3 */
SELECT * FROM ESTADISTICA_DVR; 
/* Hi ha d'haver en el perode actual 2 desenvolupadors i 1 desccrrega en el primer i 2 descrrgues en el segon */
SELECT * FROM ESTADISTICA_APL; 
/* Hi ha d'aver 2 aplicacions i recaudats 25.95 l'una i 86.30 l'altra */
SELECT * FROM ESTADISTICA_ANY_PAIS; 
/* Hi ha d'haver 2 aplicacions diferents descarregades, 2 usuaris diferents que han descarregat i un import total de 112.25 */

/*
Entrem varies descrregues ms. Hem de tenir en compte que ser el programador de l'aplicaci
d'alt nivell el que s'encarregar que hi hagi les restriccions necessries de les dades de la descrrega pel que fa als
camps versi, preu, forma pagament, imei, operador, pais i moneda, que pot lligar facilment amb la 
integritat de dades que li proporciona la base de dades de l'aplicatiu (exemple buscar el preu segons el pais de l'usuari de la taula 
TARIFES_APLIC_PAIS o del IMEI del dispositiu de l'usuari de la taula USR_DISP).

*/
VAR output varchar2;
EXEC PRC_DESCARREGUES (1,2,'1.1',25.95,'PPL','123456789123456','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (1,1,'1.1',43.15,'PPL','123456789123456','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (3,1,'1.1',43.15,'PPL','741852963741852','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (6,1,'1.1',43.15,'PPL','159753621547945','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (6,2,'1.1',25.95,'PPL','159753621547945','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (9,1,'1.1',43.15,'PPL','741852963741852','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (9,4,'1.1',43.15,'PPL','741852963741852','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (5,1,'1.1',43.15,'PPL','321654987789451','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (5,2,'1.1',25.95,'PPL','321654987789451','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (5,3,'1.1',43.15,'PPL','321654987789451','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (4,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 

/*
Introduim ms usuaris
*/
EXEC INS_USRS ('JORDI','HOOD','COGN2','JORHO','ADREA','08500','rh@movistar.es','GB','MOV','648887888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('LOUIS','ARMSTRONG','COGN2','LAMS','ADREA','08500','rh@movistar.es','US','MOV','647887888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('FERNANDO','ALONSO','COGN2','FA','ADREA','08500','rh@movistar.es','ES','MOV','646878888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('LORENZO','SILVA','COGN2','LSIL','ADREA','08500','rh@movistar.es','ES','MOV','645888788','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('KEVIN','NURBERG','COGN2','KENU','ADREA','08500','rh@movistar.es','CZ','MOV','644888788','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ERIK','CANTONA','COGN2','ERIKCANT','ADREA','08500','rh@movistar.es','FR','MOV','643888788','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('JENIFER','LOPEZ','COGN2','JENLOP','ADREA','08500','rh@movistar.es','US','MOV','642887888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MARY','GIFNEY','COGN2','MEGI','ADREA','08500','rh@movistar.es','IR','MOV','641887788','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ANTONIA','FONT','COGN2','ANTF','ADREA','08500','rh@movistar.es','GB','MOV','640887888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ANDREA','COSTA','COGN2','ANDCOS','ADREA','08500','rh@movistar.es','ES','MOV','639887888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MARILYN','MONROE','COGN2','MMON','ADREA','08500','rh@movistar.es','US','MOV','638878888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ROB','NASE','COGN2','ROBNAS','ADREA','08500','rh@movistar.es','CZ','MOV','637888888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('BOB','DANGER','COGN2','BOBDAN','ADREA','08500','rh@movistar.es','CH','MOV','636888888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MARVIN','GALE','COGN2','MARG','ADREA','08500','rh@movistar.es','GB','MOV','635888888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ARNOLD','COSTELLO','COGN2','ARNCOST','ADREA','08500','rh@movistar.es','AR','MOV','634888888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ANGELINA','JOLIE','COGN2','ANGJOL','ADREA','08500','rh@movistar.es','RU','MOV','633888888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MARIA','LAPIEDRA','COGN2','MLAP','ADREA','08500','rh@movistar.es','GB','MOV','631888888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ELVIAR','MODARN','COGN2','ELVMOD','ADREA','08500','rh@movistar.es','RU','MOV','630888888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('OLGA','STRESS','COGN2','OLGSTR','ADREA','08500','rh@movistar.es','AN','MOV','632988888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('VISCA','ELVI','COGN2','VISELVI','ADREA','08500','rh@movistar.es','DE','MOV','629888888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ANGELA','MERKEL','COGN2','ANMEKR','ADREA','08500','rh@movistar.es','DE','MOV','627888888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MELANIE','BACSHANT','COGN2','MELBA','ADREA','08500','rh@movistar.es','DE','MOV','626838888','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MARTINA','STOEVA','COGN2','MARSTO','ADREA','08500','rh@movistar.es','DE','MOV','626666666','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('JACKY','BINKER','COGN2','JABIN','ADREA','08500','rh@movistar.es','DE','MOV','636565555','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('ELSA','HAMAN','COGN2','ELHAM','ADREA','08500','ELHAM@movistar.es','DE','MOV','655555555','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MONICA','HAMAN','COGN2','MHAM','ADREA','08500','MHAM@movistar.es','DE','MOV','644444444','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MUNIATA','ELFAS','COGN2','MUNEL','ADREA','08500','rh@movistar.es','RU','MOV','633333333','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MARTINA','KURNIKOVA','COGN2','MARKUR','ADREA','08500','rh@movistar.es','RU','MOV','622222222','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('BRIAN','NIZIN','COGN2','BIRNIZ','ADREA','08500','rh@movistar.es','RU','MOV','611111111','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('POL','KANEK','COGN2','POLK','ADREA','08500','rh@movistar.es','CZ','MOV','601111111','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('CHIN','CHAN','COGN2','CHICHA','ADREA','08500','rh@movistar.es','CH','MOV','602111111','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MALEN','ROLEX','COGN2','MALROL','ADREA','08500','rh@movistar.es','CH','MOV','603111111','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('PERTIN','HALEN','COGN2','PERHAL','ADREA','08500','rh@movistar.es','GB','MOV','604111111','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MURIAN','BOLLOK','COGN2','MURBOLL','ADREA','08500','rh@movistar.es','IN','MOV','605111111','33100000X','QAALDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('MAITE','ELORRIAGA','COGN2','MAIELE','ADREA','08500','rh@movistar.es','ES','MOV','606555544','33100000X','QAALDERFTG','ENG',:OUTPUT);


INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,11,'111111111111111');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,11,'111111111111112');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,12,'111111111111113');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,13,'111111111111114');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,14,'111111111111115');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,15,'111111111111116');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,16,'111111111111117');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,17,'111111111111118');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,17,'111111111111119');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,19,'111111111111120');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,20,'111111111111121');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,21,'111111111111122');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,22,'111111111111123');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,23,'111111111111124');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,24,'111111111111125');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,25,'111111111111126');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,26,'111111111111127');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,27,'111111111111128');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,28,'111111111111129');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,29,'111111111111130');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,30,'111111111111131');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,31,'111111111111132');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,32,'111111111111133');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,32,'111111111111134');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,33,'111111111111135');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,34,'111111111111136');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,35,'111111111111137');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,36,'111111111111138');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,37,'111111111111139');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,38,'111111111111140');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,39,'111111111111141');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,42,'111111111111142');
INSERT INTO usr_disp (dataassociacio,ID_USUARI,IMEI) VALUES (SYSTIMESTAMP,41,'111111111111143');


SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='INS_USRS' AND PARAM_SORT<>'OK';

EXEC PRC_DESCARREGUES (10,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (11,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (12,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (13,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (14,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (15,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (16,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (17,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (18,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (19,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (20,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (21,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (22,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (23,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (24,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (25,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (26,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 


/*
resultats a continuaci
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='PRC_DESCARREGUES' ORDER BY DATACRIDA DESC; 
SELECT * FROM DADES_GENERALS; 

SELECT * FROM ESTADISTICA_GENERAL; 

SELECT * FROM ESTADISTICA_USR; 

SELECT * FROM ESTADISTICA_DVR; 

SELECT * FROM ESTADISTICA_APL; 

SELECT * FROM ESTADISTICA_ANY_PAIS; 

