/*
JOC DE PROVES 3

Per tal que tot el joc de proves funcioni adecuadament, amb els resultats esperats
s'han d'anar seguint tots els passos, sense repetir-ne cap, ni deixar-se'n cap.

En primer lloc, abans de procedir hem d'avanar la data del sistema un any. 

Aquest joc de proves permet comprovar que el sistema evoluciona correctament amb un canvi 
d'any.

Comenarem pels procediments ABM
Inserirem desenvolupadors mitjantant el procediment INS_DVR
En principi son desenvolupadors no asignats a cap aplicaci.


*/
VAR output varchar2;
EXEC INS_DVR ('Developer98','Enrik','US','34778222','Kingston road, 300','14545','Atlanta','','708445445','88588859','','developer98@amdam.com',:output);
EXEC INS_DVR ('Developer99','Juli','ES','454454477','C/Morgades, 200','08008','Barcelona','','58855588','655455855','','developer99@amdam.com',:output);
/*Comprovem que els desenvolupadors s'han creat.*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='INS_DVR' ORDER BY DATACRIDA DESC; 
SELECT * FROM DESENVOLUPADORS ORDER BY ID_DVR;
/*

/*
Provarem ara els procediments ABM de les aplicacions. Es important anar seguint l'ordre.
Comenarem amb les insercions.
*/
VAR output varchar2;
EXEC INS_APLICACIONS ('1.98','HTTP://www.amdam.com/aplicacio_1.98','HTTP://www.amdam.com/downloads/aplicacio_1.2',3,1,'aplicaci NEW 2014',102,35888,1,25.95,:output);
EXEC INS_APLICACIONS ('1.99','HTTP://www.amdam.com/aplicacio_299','HTTP://www.amdam.com/downloads/aplicacio_2.2',2,1,'aplicaci HAT 2014',102,45555,2,25.95,:output);
/*
Comprovarem els procediments emmagatzemats. n'hi hauria d'haver tants com lnies d'execuci anteriors
Tamb farem un select per veure que hi tenim aquestes aplicacions
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='INS_APLICACIONS' ORDER BY DATACRIDA DESC;
SELECT * FROM APLICACIONS ORDER BY ID_APLICACIO;
/*
Comprovem tamb si s'han generat les tarifes per pas de cada aplici
*/
SELECT * FROM TARIFES_APLIC_PAIS; /* Tants registres com pasos de la taula PAISOS multiplicat per les aplicacions inserides*/
SELECT * FROM PAISOS; /*Per veure els pasos que hi ha*/
SELECT COUNT(*) FROM PAISOS;
SELECT COUNT(*) FROM APLICACIONS;
SELECT COUNT(*) FROM TARIFES_APLIC_PAIS;
/*
/*
A continuaci comprovarem els procediments ABM dels usuaris
Comencem amb els procediments d'inserci. Veurem la taula estadstica_usr com s'ha d'haver inserit una nova lnia del nou any.
*/
SELECT * FROM ESTADISTICA_USR; /*Veiem que l'estadstica est inicialitzada a 0*/
/*Comencem a inserir usuaris*/
VAR output varchar2;
EXEC INS_USRS ('JONATHAN','VALDEMOR','COGN2','JONVALD','ADREA','08500','JVAL@movistar.es','US','MOV','649000111','33900000X','QAWWDERFTG','ENG',:OUTPUT);
EXEC INS_USRS ('POL','JACKSON','COGN2','POLJA','ADREA','08500','PL@movistar.es','GB','MOV','633111555','33800000X','QAWWD12FTG','ENG',:OUTPUT);
/*
Comprovem que els procediments s'han executat correctament i que tenim tants usuaris com procediments executats
Tamb comprovem que s'ha actualitzat el nombre d'usuaris a la taula ESTADISTICA_USR;
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='INS_USRS' ORDER BY DATACRIDA DESC;
SELECT * FROM USUARIS ORDER BY ID_USUARI DESC;
SELECT * FROM ESTADISTICA_USR;
/*


/*
En el segent apartat comprovarem el MODUL ESTADISTIC en el nou any

*/
/*
Volem comprovar com es realitzen les descrregues
insertem 3 descrregues mitjanant el procediment de descrregues
*/
SELECT * FROM DADES_GENERALS;
SELECT * FROM ESTADISTICA_GENERAL;
SELECT * FROM ESTADISTICA_USR;
SELECT * FROM ESTADISTICA_DVR;
SELECT * FROM ESTADISTICA_APL;
SELECT * FROM ESTADISTICA_ANY_PAIS;
/*
Inserim les descrregues 
*/
VAR output varchar2;
EXEC PRC_DESCARREGUES (1,3,'1.1',25.95,'PPL','123456789123456','MOV','EUR',:output); 
/*Usuari 1 descarrega aplicaci 3*/
EXEC PRC_DESCARREGUES (1,4,'1.1',43.15,'PPL','123456789123456','MOV','EUR',:output); 
/*Usuari 1 descarrega aplicaci 4*/
EXEC PRC_DESCARREGUES (3,4,'1.1',43.15,'PPL','741852963741852','MOV','EUR',:output); 
/*Usuari 3 descarrega aplicaci 4*/
/*
Entrem varies descrregues ms. Hem de tenir en compte que ser el programador de l'aplicaci
d'alt nivell el que s'encarregar que hi hagi les restriccions necessries de les dades de la descrrega pel que fa als
camps versi, preu, forma pagament, imei, operador, pais i moneda, que pot lligar facilment amb la 
integritat de dades que li proporciona la base de dades de l'aplicatiu (exemple buscar el preu segons el pais de l'usuari de la taula 
TARIFES_APLIC_PAIS o del IMEI del dispositiu de l'usuari de la taula USR_DISP).

*/
VAR output varchar2;
EXEC PRC_DESCARREGUES (1,2,'1.1',25.95,'PPL','123456789123456','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (1,1,'1.1',43.15,'PPL','123456789123456','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (3,1,'1.1',43.15,'PPL','741852963741852','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (6,1,'1.1',43.15,'PPL','159753621547945','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (6,2,'1.1',25.95,'PPL','159753621547945','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (9,1,'1.1',43.15,'PPL','741852963741852','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (9,4,'1.1',43.15,'PPL','741852963741852','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (5,1,'1.1',43.15,'PPL','321654987789451','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (5,2,'1.1',25.95,'PPL','321654987789451','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (5,3,'1.1',43.15,'PPL','321654987789451','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (4,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (10,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (11,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (12,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (13,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (14,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (15,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (16,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (17,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (18,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (19,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (20,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (21,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (22,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (23,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (24,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (25,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 
EXEC PRC_DESCARREGUES (26,7,'1.1',43.15,'PPL','852741963987654','MOV','EUR',:output); 

/*
resultats a continuaci
*/
SELECT * FROM LOG_PROCEDIMENTS WHERE ID_PRC='PRC_DESCARREGUES' ORDER BY DATACRIDA DESC; 
/*Hi Hauria d'haver 3  procediments adicionals en el log_procediments*/
SELECT * FROM DADES_GENERALS; 
/* Resta exactament igual */
SELECT * FROM ESTADISTICA_GENERAL; 
/* Hi hauria d'haver 3 descrregues ms acumulades i un total de 112.25  acumulats */
SELECT * FROM ESTADISTICA_USR order by PERIODE DESC; 
/* Hi ha d'haver en el perode actual 3 descrregues de total 9 usuaris i unes descrregues mitges de 0.3 */
SELECT * FROM ESTADISTICA_DVR ORDER BY PERIODE DESC; 
/* Hi ha d'haver en el perode actual 2 desenvolupadors i 1 desccrrega en el primer i 2 descrrgues en el segon */
SELECT * FROM ESTADISTICA_APL ORDER BY PERIODE DESC; 
/* Hi ha d'aver 2 aplicacions i recaudats 25.95 l'una i 86.30 l'altra */
SELECT * FROM ESTADISTICA_ANY_PAIS ORDER BY PERIODE DESC; 
/* Hi ha d'haver 2 aplicacions diferents descarregades, 2 usuaris diferents que han descarregat i un import total de 112.25 */

